
package pe.siso.seguridad.webservices;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the pe.siso.seguridad.webservices package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ListarCategoriaWebservice_QNAME = new QName("http://webservices.seguridad.siso.pe/", "listarCategoriaWebservice");
    private final static QName _ListarModuloWebservice_QNAME = new QName("http://webservices.seguridad.siso.pe/", "listarModuloWebservice");
    private final static QName _ListarSubCategoriaWebserviceResponse_QNAME = new QName("http://webservices.seguridad.siso.pe/", "listarSubCategoriaWebserviceResponse");
    private final static QName _ListarSubCategoriaWebservice_QNAME = new QName("http://webservices.seguridad.siso.pe/", "listarSubCategoriaWebservice");
    private final static QName _ListarModuloWebserviceResponse_QNAME = new QName("http://webservices.seguridad.siso.pe/", "listarModuloWebserviceResponse");
    private final static QName _ListarTituloWebservice_QNAME = new QName("http://webservices.seguridad.siso.pe/", "listarTituloWebservice");
    private final static QName _ListarTituloWebserviceResponse_QNAME = new QName("http://webservices.seguridad.siso.pe/", "listarTituloWebserviceResponse");
    private final static QName _ListarCategoriaWebserviceResponse_QNAME = new QName("http://webservices.seguridad.siso.pe/", "listarCategoriaWebserviceResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: pe.siso.seguridad.webservices
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ListarCategoriaWebserviceResponse }
     * 
     */
    public ListarCategoriaWebserviceResponse createListarCategoriaWebserviceResponse() {
        return new ListarCategoriaWebserviceResponse();
    }

    /**
     * Create an instance of {@link ListarSubCategoriaWebservice }
     * 
     */
    public ListarSubCategoriaWebservice createListarSubCategoriaWebservice() {
        return new ListarSubCategoriaWebservice();
    }

    /**
     * Create an instance of {@link ListarModuloWebserviceResponse }
     * 
     */
    public ListarModuloWebserviceResponse createListarModuloWebserviceResponse() {
        return new ListarModuloWebserviceResponse();
    }

    /**
     * Create an instance of {@link ListarTituloWebservice }
     * 
     */
    public ListarTituloWebservice createListarTituloWebservice() {
        return new ListarTituloWebservice();
    }

    /**
     * Create an instance of {@link ListarTituloWebserviceResponse }
     * 
     */
    public ListarTituloWebserviceResponse createListarTituloWebserviceResponse() {
        return new ListarTituloWebserviceResponse();
    }

    /**
     * Create an instance of {@link ListarSubCategoriaWebserviceResponse }
     * 
     */
    public ListarSubCategoriaWebserviceResponse createListarSubCategoriaWebserviceResponse() {
        return new ListarSubCategoriaWebserviceResponse();
    }

    /**
     * Create an instance of {@link ListarCategoriaWebservice }
     * 
     */
    public ListarCategoriaWebservice createListarCategoriaWebservice() {
        return new ListarCategoriaWebservice();
    }

    /**
     * Create an instance of {@link ListarModuloWebservice }
     * 
     */
    public ListarModuloWebservice createListarModuloWebservice() {
        return new ListarModuloWebservice();
    }

    /**
     * Create an instance of {@link MenuBean }
     * 
     */
    public MenuBean createMenuBean() {
        return new MenuBean();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ListarCategoriaWebservice }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservices.seguridad.siso.pe/", name = "listarCategoriaWebservice")
    public JAXBElement<ListarCategoriaWebservice> createListarCategoriaWebservice(ListarCategoriaWebservice value) {
        return new JAXBElement<ListarCategoriaWebservice>(_ListarCategoriaWebservice_QNAME, ListarCategoriaWebservice.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ListarModuloWebservice }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservices.seguridad.siso.pe/", name = "listarModuloWebservice")
    public JAXBElement<ListarModuloWebservice> createListarModuloWebservice(ListarModuloWebservice value) {
        return new JAXBElement<ListarModuloWebservice>(_ListarModuloWebservice_QNAME, ListarModuloWebservice.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ListarSubCategoriaWebserviceResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservices.seguridad.siso.pe/", name = "listarSubCategoriaWebserviceResponse")
    public JAXBElement<ListarSubCategoriaWebserviceResponse> createListarSubCategoriaWebserviceResponse(ListarSubCategoriaWebserviceResponse value) {
        return new JAXBElement<ListarSubCategoriaWebserviceResponse>(_ListarSubCategoriaWebserviceResponse_QNAME, ListarSubCategoriaWebserviceResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ListarSubCategoriaWebservice }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservices.seguridad.siso.pe/", name = "listarSubCategoriaWebservice")
    public JAXBElement<ListarSubCategoriaWebservice> createListarSubCategoriaWebservice(ListarSubCategoriaWebservice value) {
        return new JAXBElement<ListarSubCategoriaWebservice>(_ListarSubCategoriaWebservice_QNAME, ListarSubCategoriaWebservice.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ListarModuloWebserviceResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservices.seguridad.siso.pe/", name = "listarModuloWebserviceResponse")
    public JAXBElement<ListarModuloWebserviceResponse> createListarModuloWebserviceResponse(ListarModuloWebserviceResponse value) {
        return new JAXBElement<ListarModuloWebserviceResponse>(_ListarModuloWebserviceResponse_QNAME, ListarModuloWebserviceResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ListarTituloWebservice }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservices.seguridad.siso.pe/", name = "listarTituloWebservice")
    public JAXBElement<ListarTituloWebservice> createListarTituloWebservice(ListarTituloWebservice value) {
        return new JAXBElement<ListarTituloWebservice>(_ListarTituloWebservice_QNAME, ListarTituloWebservice.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ListarTituloWebserviceResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservices.seguridad.siso.pe/", name = "listarTituloWebserviceResponse")
    public JAXBElement<ListarTituloWebserviceResponse> createListarTituloWebserviceResponse(ListarTituloWebserviceResponse value) {
        return new JAXBElement<ListarTituloWebserviceResponse>(_ListarTituloWebserviceResponse_QNAME, ListarTituloWebserviceResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ListarCategoriaWebserviceResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservices.seguridad.siso.pe/", name = "listarCategoriaWebserviceResponse")
    public JAXBElement<ListarCategoriaWebserviceResponse> createListarCategoriaWebserviceResponse(ListarCategoriaWebserviceResponse value) {
        return new JAXBElement<ListarCategoriaWebserviceResponse>(_ListarCategoriaWebserviceResponse_QNAME, ListarCategoriaWebserviceResponse.class, null, value);
    }

}
