
package pe.siso.seguridad.webservices;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the pe.siso.seguridad.webservices package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ConsultarProyectoResponse_QNAME = new QName("http://webservices.seguridad.siso.pe/", "consultarProyectoResponse");
    private final static QName _ListarProyectoUsuario_QNAME = new QName("http://webservices.seguridad.siso.pe/", "listarProyectoUsuario");
    private final static QName _ListarProyectoUsuarioResponse_QNAME = new QName("http://webservices.seguridad.siso.pe/", "listarProyectoUsuarioResponse");
    private final static QName _ConsultarProyecto_QNAME = new QName("http://webservices.seguridad.siso.pe/", "consultarProyecto");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: pe.siso.seguridad.webservices
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ConsultarProyecto }
     * 
     */
    public ConsultarProyecto createConsultarProyecto() {
        return new ConsultarProyecto();
    }

    /**
     * Create an instance of {@link ListarProyectoUsuario }
     * 
     */
    public ListarProyectoUsuario createListarProyectoUsuario() {
        return new ListarProyectoUsuario();
    }

    /**
     * Create an instance of {@link ListarProyectoUsuarioResponse }
     * 
     */
    public ListarProyectoUsuarioResponse createListarProyectoUsuarioResponse() {
        return new ListarProyectoUsuarioResponse();
    }

    /**
     * Create an instance of {@link ConsultarProyectoResponse }
     * 
     */
    public ConsultarProyectoResponse createConsultarProyectoResponse() {
        return new ConsultarProyectoResponse();
    }

    /**
     * Create an instance of {@link ProyectoBean }
     * 
     */
    public ProyectoBean createProyectoBean() {
        return new ProyectoBean();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ConsultarProyectoResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservices.seguridad.siso.pe/", name = "consultarProyectoResponse")
    public JAXBElement<ConsultarProyectoResponse> createConsultarProyectoResponse(ConsultarProyectoResponse value) {
        return new JAXBElement<ConsultarProyectoResponse>(_ConsultarProyectoResponse_QNAME, ConsultarProyectoResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ListarProyectoUsuario }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservices.seguridad.siso.pe/", name = "listarProyectoUsuario")
    public JAXBElement<ListarProyectoUsuario> createListarProyectoUsuario(ListarProyectoUsuario value) {
        return new JAXBElement<ListarProyectoUsuario>(_ListarProyectoUsuario_QNAME, ListarProyectoUsuario.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ListarProyectoUsuarioResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservices.seguridad.siso.pe/", name = "listarProyectoUsuarioResponse")
    public JAXBElement<ListarProyectoUsuarioResponse> createListarProyectoUsuarioResponse(ListarProyectoUsuarioResponse value) {
        return new JAXBElement<ListarProyectoUsuarioResponse>(_ListarProyectoUsuarioResponse_QNAME, ListarProyectoUsuarioResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ConsultarProyecto }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservices.seguridad.siso.pe/", name = "consultarProyecto")
    public JAXBElement<ConsultarProyecto> createConsultarProyecto(ConsultarProyecto value) {
        return new JAXBElement<ConsultarProyecto>(_ConsultarProyecto_QNAME, ConsultarProyecto.class, null, value);
    }

}
