
package pe.siso.seguridad.webservices;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the pe.siso.seguridad.webservices package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ConsultarDatosWebserviceResponse_QNAME = new QName("http://webservices.seguridad.siso.pe/", "consultarDatosWebserviceResponse");
    private final static QName _ValidarUsuarioWebserviceResponse_QNAME = new QName("http://webservices.seguridad.siso.pe/", "validarUsuarioWebserviceResponse");
    private final static QName _ConsultarDatosWebservice_QNAME = new QName("http://webservices.seguridad.siso.pe/", "consultarDatosWebservice");
    private final static QName _ValidarUsuarioWebservice_QNAME = new QName("http://webservices.seguridad.siso.pe/", "validarUsuarioWebservice");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: pe.siso.seguridad.webservices
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ConsultarDatosWebservice }
     * 
     */
    public ConsultarDatosWebservice createConsultarDatosWebservice() {
        return new ConsultarDatosWebservice();
    }

    /**
     * Create an instance of {@link ValidarUsuarioWebservice }
     * 
     */
    public ValidarUsuarioWebservice createValidarUsuarioWebservice() {
        return new ValidarUsuarioWebservice();
    }

    /**
     * Create an instance of {@link ValidarUsuarioWebserviceResponse }
     * 
     */
    public ValidarUsuarioWebserviceResponse createValidarUsuarioWebserviceResponse() {
        return new ValidarUsuarioWebserviceResponse();
    }

    /**
     * Create an instance of {@link ConsultarDatosWebserviceResponse }
     * 
     */
    public ConsultarDatosWebserviceResponse createConsultarDatosWebserviceResponse() {
        return new ConsultarDatosWebserviceResponse();
    }

    /**
     * Create an instance of {@link UsuarioBean }
     * 
     */
    public UsuarioBean createUsuarioBean() {
        return new UsuarioBean();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ConsultarDatosWebserviceResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservices.seguridad.siso.pe/", name = "consultarDatosWebserviceResponse")
    public JAXBElement<ConsultarDatosWebserviceResponse> createConsultarDatosWebserviceResponse(ConsultarDatosWebserviceResponse value) {
        return new JAXBElement<ConsultarDatosWebserviceResponse>(_ConsultarDatosWebserviceResponse_QNAME, ConsultarDatosWebserviceResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ValidarUsuarioWebserviceResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservices.seguridad.siso.pe/", name = "validarUsuarioWebserviceResponse")
    public JAXBElement<ValidarUsuarioWebserviceResponse> createValidarUsuarioWebserviceResponse(ValidarUsuarioWebserviceResponse value) {
        return new JAXBElement<ValidarUsuarioWebserviceResponse>(_ValidarUsuarioWebserviceResponse_QNAME, ValidarUsuarioWebserviceResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ConsultarDatosWebservice }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservices.seguridad.siso.pe/", name = "consultarDatosWebservice")
    public JAXBElement<ConsultarDatosWebservice> createConsultarDatosWebservice(ConsultarDatosWebservice value) {
        return new JAXBElement<ConsultarDatosWebservice>(_ConsultarDatosWebservice_QNAME, ConsultarDatosWebservice.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ValidarUsuarioWebservice }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://webservices.seguridad.siso.pe/", name = "validarUsuarioWebservice")
    public JAXBElement<ValidarUsuarioWebservice> createValidarUsuarioWebservice(ValidarUsuarioWebservice value) {
        return new JAXBElement<ValidarUsuarioWebservice>(_ValidarUsuarioWebservice_QNAME, ValidarUsuarioWebservice.class, null, value);
    }

}
