
<%@include file="general/header1.jsp"%>
<style>
    .datatable-header{
        display:  none;
    }
</style>
<link href="../styles/tippy.css" rel="stylesheet" type="text/css"/>
<%@include file="general/header2.jsp" %>



<!-- /theme JS files -->


<!-- Main charts -->
<div class="row">

    <div class="col-lg-12">
        <div class="panel panel-flat panel-primary panel-bordered ">
            <div class="panel-heading">
                <h6 class="panel-title">Buscar fichas de matrculas</h6>
                <div class="heading-elements">
                    <ul class="icons-list">
                        <li><a data-action="collapse"></a></li>
                        <!--<li><a data-action="reload"></a></li>
                        <li><a data-action="close"></a></li>-->
                    </ul>
                </div>
                <a class="heading-elements-toggle"><i class="icon-menu"></i></a>
            </div>

            <div class="panel-body">
                <form method="POST" role="form" id="formBuscarMat">
                    <div class="form-body">

                        <div class="row">
                            <div class="col-sm-3">
                                <div class="form-group">
                                    <label class="control-label">Periodo / Ao: </label>
                                    <select class="form-control" id="cboPerAnio" >
                                        <option value="1">PERIODO MATRCULA</option>
                                        <option value="2">PERIODO TIEMPO</option>
                                        <option value="3">AO</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-sm-3" id="divPerAnio">
                                <div class="form-group">
                                    <label class="control-label"><span id="lbperiodo">Periodo de Matrcula:</span><span style="color:red;">(*)</span></label>
                                    <select class="form-control" id="cboPeriodo" >
                                        <option value="0"> SELECCIONE UN PERIODO</option>
                                        <option value="11"> MATRICULA 2019</option>
                                        <option value="10"> MATRICULA 2018</option>
                                        <option value="8"> MATRICULA 2017</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-sm-6">                                                    
                                <div class="form-group">
                                    <label class="control-label">Apellidos y Nombres:</label>
                                    <input id="txtNomAlumno" name="inputApePaterno" maxlength="50" onchange="convMayusc(this), limpiarTabla()" type="text" class="form-control" onkeypress="return validarCajastexto(event, '');" placeholder="INGRESE NOMBRE DE ALUMNO">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-3">
                                <div class="form-group">
                                    <label class="control-label">NIVEL:</label>
                                    <select class="form-control" id="cboNivel" >
                                        <option value="0">TODOS</option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-sm-3">
                                <div class="form-group">
                                    <label class="control-label">Grado:</label>
                                    <select class="form-control" id="cboGrado" >
                                        <option value="0">
                                            TODOS
                                        </option>
                                    </select>
                                </div>
                            </div>
                            <div class="col-sm-3">
                                <div class="form-group">
                                    <label class="control-label">Turno:</label>
                                    <select class="form-control" id="cboTurno" >   
                                        <option value="0">
                                            TODOS
                                        </option></select>
                                </div>
                            </div>
                            <div class="col-sm-3">                                                    
                                <div class="form-group">
                                    <label class="control-label">Estado:</label>
                                    <select class="form-control" id="cboEstado" >
                                        <option value="-1">TODOS</option>
                                        <option value="1">MATRICULADO</option>
                                        <option value="0">RETIRADO</option>
                                        <option value="2">REINGRESO</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="row">

                            <div class="col-sm-12 " align="right">
                                <label for="female"><b><span style="color:red;">(*)</span> Campos Obligatorios</b></label>
                                <br>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-sm-12 text-right">
                                <button class="btn btn-primary" type="button" id="btnBuscar">
                                    <i class="fa fa-search"></i>&nbsp;&nbsp; BUSCAR
                                </button>
                                <button class="btn btn-sm btn-danger" type="button" id="btnLimpiar">
                                    <i class="fa fa-repeat"></i>&nbsp;&nbsp; LIMPIAR
                                </button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-sm-12 text-right">
        <button class="btn btn-success" type="button" id="btnMatricula" onclick="validarBuscarMatriculas(1);">
            <i class="fa fa-plus-circle"></i>&nbsp;&nbsp; NUEVA FICHA MATRICULA
        </button>
    </div>
</div>
<br>
<div class="row">
    <div class="col-lg-12">
        <div class="panel panel-flat panel-primary panel-bordered ">
            <div class="panel-heading">
                <h6 class="panel-title">Lista de Ficha Matricula</h6>
                <div class="heading-elements">
                    <ul class="icons-list">
                        <li><a data-action="collapse"></a></li>
                    </ul>
                </div>
                <a class="heading-elements-toggle"><i class="icon-menu"></i></a>
            </div>

            <div class="table-responsive">
                <table id="tablesMatricula" class="table table-striped table-hover table-bordered display responsive nowrap" id="tblHorasExtras" cellspacing="0" width="100%">
                    <thead class="">
                        <tr>
                            <!--<th class="text-center">N</th>-->
                            <th class="text-center">Apellidos y Nombre</th>
                            <th class="text-center">DNI</th>
                            <th class="text-center">Cdigo Banco</th>
                            <th class="text-center">Nivel</th>
                            <th class="text-center">Grado</th>
                            <th class="text-center">Turno</th>
                            <th class="text-center">Fecha Matrcula</th>
                            <th class="text-center">Periodo</th>
                            <th class="text-center">Estado</th>
                            <th class="text-center">Accin</th>
                        </tr>
                    </thead>
                    <tbody id="bodyHorasExtras">
                    </tbody>
                </table>    
            </div>
        </div>
    </div>
</div>

<%@include file="general/footer1.jsp" %>
<!--<script src="../assets/js/pages/components_popups.js" type="text/javascript"></script>-->
<script src="../assets/js/plugins/tables/datatables/datatables.min.js"></script>
<script src="../assets/js/plugins/tables/datatables/extensions/fixed_header.min.js"></script>
<script src="../assets/js/plugins/tables/datatables/extensions/select.min.js"></script>
<script src="../assets/js/pages/datatables_basic.js"></script>
<script src="../js/tippy.min.js" type="text/javascript"></script>
<script>
            function segundaCarga() {

                periodo.peridoMatricula(1);
                aula.listarNivel();

            }
//            $(document).ready(function () {
//                $('[data-popup=tooltip-custom]').tooltip({
//                    template: '<div class="tooltip"><div class="bg-teal"><div class="tooltip-arrow"></div><div class="tooltip-inner"></div></div></div>'
//                });
//            });
//    CHANGE O CLICK ************************
            $("#codSedeSistema").change(function () {
                aula.listarNivel();
            });
            $("#cboNivel").change(function () {
                aula.listarGrado();
            });
            $("#btnMatricula").click(function () {
                window.location = "registroMatricula.jsp";
            });
            $("#btnBuscar").click(function () {
                $('#tablesMatricula').DataTable().destroy();
                datosMatricula.listarMatricula();
            });
            //    CHANGE O CLICK ********************



            $("#cboPerAnio").change(function () {
                var period = $(this).val();
                (period == 1) ? $("#lbperiodo").html('Periodo de Matrcula:') : '';
                (period == 2) ? $("#lbperiodo").html('Periodo de Tiempo:') : '';
                (period == 3) ? $("#lbperiodo").html('Ao:') : '';
                periodo.peridoMatricula(period);
            });
            var varTablaMatricula;
            var datosMatricula = {
                listarMatricula: function () {
                    var tipoBusqueda = $("#cboPerAnio").val();
                    var busqueda = $("#cboPeriodo").val();
                    var codNivel = $("#cboNivel").val();
                    var codGrado = $("#cboGrado").val();
                    var codTurno = $("#cboTurno").val();
                    var nombreCompleto = $("#txtNomAlumno").val();
                    var codEstado = $("#cboEstado").val();
                    var codLocal = $("#codSedeSistema").val();

                    var jsondata = {
                        'tipoBusqueda': tipoBusqueda,
                        'busqueda': busqueda,
                        'codNivel': codNivel,
                        'codGrado': codGrado,
                        'codTurno': codTurno,
                        'nombreCompleto': nombreCompleto,
                        'codEstado': codEstado,
                        'codLocal': codLocal
                    };
//                    console.log(JSON.stringify(jsondata));
                    varTablaMatricula = $('#tablesMatricula').DataTable({
                        "bSort": false,
                        "bFilter": false,
                        "serverSide": true,
                        "processing": true,
                        "iDisplayLength": 10,
                        "aaSorting": [],
                        "ordering": false,
                        "bLengthChange": false,
                        "bInfo": true,
                        "paging": true,
//                                    "aLengthMenu": [5],
//        "dom": 'p',
                        "columnDefs": [
                            {"targets": [0], className: "text-center"},
                            {"targets": [1], className: "text-center"},
                            {"targets": [2], className: "text-center"},
                            {"targets": [3], className: "text-center"},
                            {"targets": [4], className: "text-center"},
                            {"targets": [5], className: "text-center"},
                            {"targets": [6], className: "text-center"},
                            {"targets": [7], className: "text-center"},
                            {"targets": [8], className: "text-center"},
                            {"targets": [9], className: "text-center"}


                        ], "oLanguage": {
                            sInfo: "Mostrando _START_ a _END_ de _TOTAL_ Ficha Matricula",
                            sInfoEmpty: "Monstrando 0 a 0 de 0 Ficha Matricula"
                        },
                        "scrollX": false,
                        "ScrollCollapse": true,
                        "ajax": {
                            "url": "../MatriculaServlet?Accion=listarMatricula",
                            data: jsondata

                            , beforeSend: function () {

                            }
                        }, "columns": [

                            {data: 'nombrecompleto'},
                            {data: 'dni'},
                            {data: 'codBanco'},
                            {data: 'nomNivel'},
                            {data: 'nomGrado'},
                            {data: 'nomTurno'},
                            {data: 'fechaMatricula'},
                            {data: 'nomPeriodo'},
                            {data: 'estadoMatricula'},
                            {"data": null,
                                "render": function (data) {
                                    return '<ul class="icons-list"> <li><a class="icotippy fa fa-edit editarMatricula" title="Editar Matricula" ></a></li><li><a class="icotippy fa fa-file-text-o fichaMatricula" title="Ficha Matricula" ></a></li></ul>';
                                }
                            }
                        ], "fnRowCallback": function (row, data) {

                        }, "fnPreDrawCallback": function () {
                        }, "fnDrawCallback": function () {
                        }, "createdRow": function (row, data, index) {
                        }, "initComplete": function (settings, json) {
                            tippy('.icotippy', {
                                position: 'right',
                                animation: 'scale',
                                duration: 500,
                                arrow: true,
                                size: 'big'
                            });
                        }
                    });
                }
            };

            var periodo = {
                peridoMatricula: function (tipo) {
                    $.ajax({
                        type: 'POST',
                        dataType: 'JSON',
                        url: "../PeriodoServlet?Accion=listarPerido",
                        data: null,
                        success: function (resultado) {
//                            console.log(resultado);
                            if (tipo == 1) {
                                var htmlConcat = "<option value='0'>Seleccionar un Perido</option>";
                                for (var i in resultado) {
                                    if (resultado[i].estadoPer == 0) {
                                        htmlConcat += "<option value='" + resultado[i].codPer + "' >" + resultado[i].desPer + "</option>";
                                    } else {
                                        htmlConcat += "<option selected value='" + resultado[i].codPer + "' >" + resultado[i].desPer + "</option>";
                                    }
                                }
                                $("#cboPeriodo").html(htmlConcat);
                            } else if (tipo == 3) {
                                for (var i in resultado) {
                                    if (resultado[i].estadoPer == 0) {
                                        htmlConcat += "<option value='" + resultado[i].codPer + "' >" + resultado[i].anioPer + "</option>";
                                    } else {
                                        htmlConcat += "<option selected value='" + resultado[i].codPer + "' >" + resultado[i].anioPer + "</option>";
                                    }
                                }
                                $("#cboPeriodo").html(htmlConcat);
                            }
                        },
                        complete: function () {
                            datosMatricula.listarMatricula();
                        }
                    });
                }
            };
            var aula = {
                listarNivel: function () {
                    var codLocal = $("#codSedeSistema").val();
                    $.ajax({
                        type: 'POST',
                        dataType: 'JSON',
                        url: "../AulaServlet?Accion=listarNivel",
                        data: {'codLocal': codLocal},
                        success: function (resultado) {
                            console.log(JSON.stringify(resultado));
                            var htmlConcat = "<option value='0'>TODOS</option>";
                            for (var i in resultado) {
                                htmlConcat += "<option value='" + resultado[i].codigo + "' >" + resultado[i].descripcion + "</option>";
                            }
                            $("#cboNivel").html(htmlConcat);
                        },
                        complete: function () {
                            aula.listarTurno();

                        }
                    });
                },
                listarGrado: function () {
                    var codLocal = $("#codSedeSistema").val();
                    var codNivel = $("#cboNivel").val();
                    $.ajax({
                        type: 'POST',
                        dataType: 'JSON',
                        url: "../AulaServlet?Accion=listarGrado",
                        data: {'codLocal': codLocal, 'codNivel': codNivel},
                        success: function (resultado) {
                            console.log(JSON.stringify(resultado));
                            var htmlConcat = "<option value='0'>TODOS</option>";
                            for (var i in resultado) {
                                htmlConcat += "<option value='" + resultado[i].codigo + "' >" + resultado[i].descripcion + "</option>";
                            }
                            $("#cboGrado").html(htmlConcat);
                        },
                        complete: function () {
                        }
                    });
                },
                listarTurno: function () {
                    var codLocal = $("#codSedeSistema").val();
                    $.ajax({
                        type: 'POST',
                        dataType: 'JSON',
                        url: "../AulaServlet?Accion=listarTurno",
                        data: {'codLocal': codLocal},
                        success: function (resultado) {
                            console.log(JSON.stringify(resultado));
                            var htmlConcat = "<option value='0'>TODOS</option>";
                            for (var i in resultado) {
                                htmlConcat += "<option value='" + resultado[i].codigo + "' >" + resultado[i].descripcion + "</option>";
                            }
                            $("#cboTurno").html(htmlConcat);
                        },
                        complete: function () {
                        }
                    });
                }
            };

            $('#tablesMatricula tbody').on('click', '.fichaMatricula', function () {
                var data = varTablaMatricula.row($(this).parents('tr')).data();
                window.location = 'fichamatricula.jsp';
                window.name = JSON.stringify(data);
                console.log(JSON.stringify(data));
//              console.log(JSON.stringify(data));
            });
            $('#tablesMatricula tbody').on('click', '.editarMatricula', function () {
                var data = varTablaMatricula.row($(this).parents('tr')).data();
                window.location = 'editarMatricula.jsp';
                window.name = JSON.stringify(data);
                console.log(JSON.stringify(data));
//              console.log(JSON.stringify(data));
            });




</script>

<%@include file="general/footer2.jsp" %>       
