<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>SISO</title>
        <link href="../assets/css/family.css" rel="stylesheet" type="text/css"/>
        <link href="../assets/css/icons/icomoon/styles.css" rel="stylesheet" type="text/css">
        <link href="../assets/css/bootstrap.css" rel="stylesheet" type="text/css">
        <link href="../assets/css/core.css" rel="stylesheet" type="text/css">
        <link href="../assets/css/components.css" rel="stylesheet" type="text/css">
        <link href="../assets/css/colors.css" rel="stylesheet" type="text/css">
        <style>
            .colorLogin{
                -webkit-box-shadow: 2px 2px 25px 6px rgba(19,106,112,1);
                -moz-box-shadow: 2px 2px 25px 6px rgba(19,106,112,1);
                box-shadow: 2px 2px 25px 6px rgba(19,106,112,1);
            }
        </style>
    </head>
    <body class="login-container login-coverInitial" style="background: #337ab7">

        <div class="page-container">
            <div class="page-content">
                <div class="content-wrapper">
                    <div class="content pb-20">
                        <h1 class="text-center text-white">SISO</h1>
                        <form action="javascript:validarUsuario();" class="form-validate">
                            <div class="shadow-material_2 panel panel-body login-form">
                                <div class="text-center">
                                    <div class="icon-object border-blue-800 text-blue-800"><i class="icon-user"></i></div>
                                    <h5 class="content-group-lg">Ingresa a tu cuenta </h5>
                                </div>
                                <div class="form-group has-feedback has-feedback-left">
                                    <input type="text" class="form-control" id="txtUsuario" placeholder="Usuario" name="username" >
                                    <div class="form-control-feedback">
                                        <i class="icon-user text-muted"></i>
                                    </div>                                                                
                                </div>
                                <div class="form-group has-feedback has-feedback-left">
                                    <input type="password" class="form-control" id="txtContraseña" placeholder="Contraseña" name="password" >
                                    <div class="form-control-feedback">
                                        <i class="icon-lock2 text-muted"></i>
                                    </div>
                                    <span id="txtMensaje" class="validation-error-label" style='display: none;'>El usuario y/o contraseña son incorrectos.</span>
                                </div>
                                <div class="form-group">
                                    <button  id="login-btn" class="btn bg-blue btn-block" >Ingresar <i class="icon-circle-right2 position-right"></i></button>
                                </div>
                            </div>
                        </form>
                        <div class="footer text-muted text-center text-white">
                            <span>Saco Oliveros - Sistemas © 2017</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <script type="text/javascript" src="../assets/js/plugins/loaders/pace.min.js"></script>
        <script type="text/javascript" src="../assets/js/core/libraries/jquery.min.js"></script>
        <script type="text/javascript" src="../assets/js/core/libraries/bootstrap.min.js"></script>
        <script type="text/javascript" src="../assets/js/plugins/loaders/blockui.min.js"></script>
        <script type="text/javascript" src="../assets/js/plugins/forms/validation/validate.min.js"></script>
        <script type="text/javascript" src="../assets/js/plugins/forms/styling/uniform.min.js"></script>
        <script type="text/javascript" src="../assets/js/core/app.js"></script>
        <!--<script type="text/javascript" src="../assets/js/pages/login_validation.js"></script>-->

        <script language="javascript" type="text/javascript">
            function validarUsuario() {
                var v_usuario = $("#txtUsuario").val();
                var v_contrasena = $("#txtContraseña").val();

                $.ajax({
                    type: 'POST',
                    url: '../UsuarioServlet?Accion=validarUsuario',
                    data: 'txtUsuario=' + v_usuario + '&txtContrasena=' + v_contrasena,
                    success: function (resultado) {
                        if (resultado == 1) {
                            $("#txtMensaje").fadeOut();
                            window.location = "principal.jsp";
                        } else {
                            $("#txtMensaje").fadeIn();
                        }
                    }, complete: function () {

                    }
                });
            }
        </script>
    </body>
</html>
