
package pe.siso.beans;

import java.io.Serializable;

public class CuotasPagoBean implements Serializable {
    private int cod_cuota;
    private int tip_cuota;
    private String des_cuota;
    private int cod_fic_mat;
    private String des_mot_cou;
    private double descuento_cuo;
    private String descuento_nombre;
    private String mor_mot_cuo;
    private double mor_cuo;
    private String fec_pag;
    private String fec_ven;
    private double mon_cuo;
    private double tot_cuo;
    private int est_cuo;
    private int cod_mod_pag;
    private String nom_mod_pag;
    private String num_bol;
    /*SEGUN CONFIGURACION*/
    private double dcto_mat_per;
    private double mora_mat_per;
    private double dcto_cuo_per;
    private double mora_cuo_per;
    private String motivo_anulacion;
    private int pront_pago;
    private int nromes;
    private String cod_adi;
    private String monto_adi;
    private String des_monto_adi;
    private String ico_pag_adi;
    private int estad_mora;
    private int cod_boleta;
    private int cantidad;
    private int lug_pago;
    private String fech_anul;

    public String getDescuento_nombre() {
        return descuento_nombre;
    }

    public void setDescuento_nombre(String descuento_nombre) {
        this.descuento_nombre = descuento_nombre;
    }
    
    public String getFech_anul() {
        return fech_anul;
    }

    public void setFech_anul(String fech_anul) {
        this.fech_anul = fech_anul;
    }
    
    public int getLug_pago() {
        return lug_pago;
    }

    public void setLug_pago(int lug_pago) {
        this.lug_pago = lug_pago;
    }
    
    public int getCod_boleta() {
        return cod_boleta;
    }

    public void setCod_boleta(int cod_boleta) {
        this.cod_boleta = cod_boleta;
    }

    public int getCantidad() {
        return cantidad;
    }

    public void setCantidad(int cantidad) {
        this.cantidad = cantidad;
    }

    public int getEstad_mora() {
        return estad_mora;
    }

    public void setEstad_mora(int estad_mora) {
        this.estad_mora = estad_mora;
    }

    public String getCod_adi() {
        return cod_adi;
    }

    public void setCod_adi(String cod_adi) {
        this.cod_adi = cod_adi;
    }

    public String getIco_pag_adi() {
        return ico_pag_adi;
    }

    public void setIco_pag_adi(String ico_pag_adi) {
        this.ico_pag_adi = ico_pag_adi;
    }
    
    public String getMonto_adi() {
        return monto_adi;
    }

    public void setMonto_adi(String monto_adi) {
        this.monto_adi = monto_adi;
    }

    public String getDes_monto_adi() {
        return des_monto_adi;
    }

    public void setDes_monto_adi(String des_monto_adi) {
        this.des_monto_adi = des_monto_adi;
    }
    
    public int getNromes() {
        return nromes;
    }

    public void setNromes(int nromes) {
        this.nromes = nromes;
    }

    public int getPront_pago() {
        return pront_pago;
    }
    public void setPront_pago(int pront_pago) {
        this.pront_pago = pront_pago;
    }
        
    // Para CUOTAS PAGO (BD ANTIGUA)
    private int nroCuota;
    private int calcMora;

    public int getCod_cuota() {
        return cod_cuota;
    }

    public void setCod_cuota(int cod_cuota) {
        this.cod_cuota = cod_cuota;
    }

    public String getDes_cuota() {
        return des_cuota;
    }

    public void setDes_cuota(String des_cuota) {
        this.des_cuota = des_cuota;
    }

    public int getCod_fic_mat() {
        return cod_fic_mat;
    }

    public void setCod_fic_mat(int cod_fic_mat) {
        this.cod_fic_mat = cod_fic_mat;
    }

    public String getDes_mot_cou() {
        return des_mot_cou;
    }

    public void setDes_mot_cou(String des_mot_cou) {
        this.des_mot_cou = des_mot_cou;
    }

    public double getDescuento_cuo() {
        return descuento_cuo;
    }

    public void setDescuento_cuo(double descuento_cuo) {
        this.descuento_cuo = descuento_cuo;
    }


    public String getMor_mot_cuo() {
        return mor_mot_cuo;
    }

    public void setMor_mot_cuo(String mor_mot_cuo) {
        this.mor_mot_cuo = mor_mot_cuo;
    }

    public double getMor_cuo() {
        return mor_cuo;
    }

    public void setMor_cuo(double mor_cuo) {
        this.mor_cuo = mor_cuo;
    }

    public String getFec_pag() {
        return fec_pag;
    }

    public void setFec_pag(String fec_pag) {
        this.fec_pag = fec_pag;
    }

    public String getFec_ven() {
        return fec_ven;
    }

    public void setFec_ven(String fec_ven) {
        this.fec_ven = fec_ven;
    }

    public double getMon_cuo() {
        return mon_cuo;
    }

    public void setMon_cuo(double mon_cuo) {
        this.mon_cuo = mon_cuo;
    }

    public double getTot_cuo() {
        return tot_cuo;
    }

    public void setTot_cuo(double tot_cuo) {
        this.tot_cuo = tot_cuo;
    }

    public int getEst_cuo() {
        return est_cuo;
    }

    public void setEst_cuo(int est_cuo) {
        this.est_cuo = est_cuo;
    }

    public int getCod_mod_pag() {
        return cod_mod_pag;
    }

    public void setCod_mod_pag(int cod_mod_pag) {
        this.cod_mod_pag = cod_mod_pag;
    }

    public String getNum_bol() {
        return num_bol;
    }

    public void setNum_bol(String num_bol) {
        this.num_bol = num_bol;
    }

    public double getDcto_mat_per() {
        return dcto_mat_per;
    }

    public void setDcto_mat_per(double dcto_mat_per) {
        this.dcto_mat_per = dcto_mat_per;
    }

    public double getMora_mat_per() {
        return mora_mat_per;
    }

    public void setMora_mat_per(double mora_mat_per) {
        this.mora_mat_per = mora_mat_per;
    }

    public double getDcto_cuo_per() {
        return dcto_cuo_per;
    }

    public void setDcto_cuo_per(double dcto_cuo_per) {
        this.dcto_cuo_per = dcto_cuo_per;
    }

    public double getMora_cuo_per() {
        return mora_cuo_per;
    }

    public void setMora_cuo_per(double mora_cuo_per) {
        this.mora_cuo_per = mora_cuo_per;
    }

    public int getTip_cuota() {
        return tip_cuota;
    }

    public void setTip_cuota(int tip_cuota) {
        this.tip_cuota = tip_cuota;
    }

    public String getNom_mod_pag() {
        return nom_mod_pag;
    }

    public void setNom_mod_pag(String nom_mod_pag) {
        this.nom_mod_pag = nom_mod_pag;
    }

    public String getMotivo_anulacion() {
        return motivo_anulacion;
    }

    public void setMotivo_anulacion(String motivo_anulacion) {
        this.motivo_anulacion = motivo_anulacion;
    }

    public int getNroCuota() {
        return nroCuota;
    }

    public void setNroCuota(int nroCuota) {
        this.nroCuota = nroCuota;
    }

    public int getCalcMora() {
        return calcMora;
    }

    public void setCalcMora(int calcMora) {
        this.calcMora = calcMora;
    }

    
       
}
