
package pe.siso.dao;

import java.util.ArrayList;
import pe.siso.beans.AlumnoBean;


public interface AlumnoDAO {
    public ArrayList<AlumnoBean> listaAlumno(String tipoDocumento, String busqueda,String periodo, int inicio, int cantidad) throws Exception;
    public int CantlistaAlumno(String tipoDocumento, String busqueda,String periodo) throws Exception;
    public String ListaHermanos(int codAlumno,int codGrupo) throws Exception;
    public String registrarAlumno (ArrayList<AlumnoBean> alu) throws Exception;
    public int registrarHermanos(ArrayList<AlumnoBean> hermano,Integer codGrupo,String codAlumno)throws Exception;
    public int actualizarAlumno(AlumnoBean alu) throws Exception;
    public int actualizarHermano(ArrayList<AlumnoBean> hermano, Integer codGrupo, String codAlumno) throws Exception;
    public ArrayList<AlumnoBean> consultarHermanosAluOrdenadoPorEdad(int codGrupo, int anioPer, int codAlumno, String codLocal, String desLocal) throws Exception;
    public AlumnoBean ConsultarAlumnoExitente(int codigoAlumno ,int tipoDocumento,String documento,String nombreAlumno,String apellidoMaterno,String apelidoPaterno ) throws  Exception;

}
