/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.mysqldao;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;
import pe.siso.beans.CuotasPagoBean;
import pe.siso.beans.DescuentoHermanoBean;
import pe.siso.dao.CuotasPagoDAO;

/**
 *
 * @author sistem05user
 */
public class MySqlCuotasPagoDAO implements CuotasPagoDAO {

    @Override
    public int registrarCuotaPago(CuotasPagoBean cuotas) throws Exception {
        int resultado = 0;

        String Base = "matricula";
        Connection cnx = MySqlDAOFactory.obtenerConexion(Base);

        String query = "INSERT INTO cuotas_pago (cod_cuo, tip_cuo, des_cuota, cod_fic_mat,"
                + " des_mot_cou, des_cuo, des_cuo_fecha, mor_mot_cuo, mor_cuo,"
                + " fec_pag, fec_ven, mon_cuo, tot_cuo, est_cuo, cod_mod_pag, num_bol, mot_anula,cod_pb,est_mora,lug_pag) "
                + "VALUES (null, ?, ?, ?, ?, ?, 0, '', 0, '0000-00-00', ?, ?, ?, 0, 0, '', null,0,1,0);";
        Statement st = cnx.createStatement();
        PreparedStatement pst = cnx.prepareStatement(query);

        pst.setInt(1, cuotas.getTip_cuota());
        pst.setString(2, cuotas.getDes_cuota());
        pst.setInt(3, cuotas.getCod_fic_mat());
        pst.setString(4, cuotas.getDes_mot_cou());
        pst.setDouble(5, cuotas.getDescuento_cuo());
        pst.setString(6, cuotas.getFec_ven());
        pst.setDouble(7, cuotas.getMon_cuo());
        pst.setDouble(8, cuotas.getTot_cuo());

        System.out.println("" + query);
        resultado = pst.executeUpdate();

        System.out.println(resultado);

        cnx.close();
        return resultado;
    }

    @Override
    public int ActualizarCuotaPagoPorDescHerm(DescuentoHermanoBean desc) throws Exception {
        int resultado = 0;
        String Base = "matricula";
        Connection cnx = MySqlDAOFactory.obtenerConexion(Base);
        Statement st = cnx.createStatement();
        String actual_m = "";
        String where_m = "";
        String where_p = "";
        String actual_p = "";
        double desc_cuo_m = 0;
        int cod_mat = desc.getCodMatricula();
        String nom_desc_cuo_m = desc.getNomDesMatricula();
        desc_cuo_m = desc.getMontoDesMatricula();
        if (desc.getTpmontoMatricula() == 1) {
            actual_m = " fm.mon_dcto_mat=" + desc_cuo_m + ",cp.des_cuo=" + desc_cuo_m + " ,cp.des_mot_cou='" + nom_desc_cuo_m + "' ,cp.tot_cuo=(cp.mon_cuo-" + desc_cuo_m + ") ";
            where_m = " AND fm.mon_dcto_mat<=" + desc_cuo_m + " ";
        } else {
            actual_m = " fm.mon_dcto_mat=cp.mon_cuo*(" + desc_cuo_m + "/100),cp.des_cuo=cp.mon_cuo*(" + desc_cuo_m + "/100) ,cp.des_mot_cou='" + nom_desc_cuo_m + "',cp.tot_cuo=(cp.mon_cuo-fm.mon_dcto_mat) ";
            where_m = " AND fm.mon_dcto_mat<=cp.mon_cuo*(" + desc_cuo_m + "/100) ";
        }
        double desc_cuo_p = 0;
        String nom_desc_cuo_p = desc.getNomDesPension();
        desc_cuo_p = desc.getMontoDesPension();
        if (desc.getTpmontoPension() == 1) {
            actual_p = "fm.des_dcto='" + nom_desc_cuo_p + "',fm.mon_dcto_pen=" + desc_cuo_p + ",fm.cod_local_dcto=0,cp.des_cuo=" + desc_cuo_p + " ,cp.des_mot_cou='" + nom_desc_cuo_p + "' ,cp.tot_cuo=(cp.mon_cuo-" + desc_cuo_p + ") ";
            where_p = " AND (fm.mon_dcto_pen<=" + desc_cuo_p + " OR fm.cod_local_dcto=-1 ) ";
        } else {
            actual_p = "fm.des_dcto='" + nom_desc_cuo_p + "',fm.mon_dcto_pen=cp.mon_cuo*(" + desc_cuo_p + "/100),fm.cod_local_dcto=0,cp.des_cuo=cp.mon_cuo*(" + desc_cuo_p + "/100) ,cp.des_mot_cou='" + nom_desc_cuo_p + "',cp.tot_cuo=(cp.mon_cuo-fm.mon_dcto_pen) ";
            where_p = " AND (fm.mon_dcto_pen<=cp.mon_cuo*(" + desc_cuo_p + "/100) OR fm.cod_local_dcto=-1 ) ";
        }

        String query = "update ficha_matricula fm  INNER JOIN cuotas_pago cp on fm.cod_mat=cp.cod_fic_mat "
                + " set " + actual_m + " WHERE cod_fic_mat=" + cod_mat + " and cp.tip_cuo=1 " + where_m + "  ;";
        resultado = st.executeUpdate(query);
        System.out.println("modificar cuotapago matricula -> " + query + " \n estado:" + resultado);

        query = "update ficha_matricula fm  INNER JOIN cuotas_pago cp on fm.cod_mat=cp.cod_fic_mat \n"
                + "set  " + actual_p + " WHERE fm.cod_mat=" + cod_mat + " and cp.tip_cuo=2  " + where_p + " ;";
        resultado = st.executeUpdate(query);
        System.out.println("modificar cuotapago pension -> " + query + " \n estado:" + resultado);

//        query="UPDATE ficha_matricula set des_dcto='"++"',mon_dcto=0 WHERE cod_mat=0";
        cnx.close();
        return resultado;
    }

    @Override
    public ArrayList<CuotasPagoBean> cuotasFichaMatricula(int codFichaMatricula) throws Exception {
        ArrayList<CuotasPagoBean> lista = new ArrayList<>();
        String Base = "matricula";
        Connection cnx = MySqlDAOFactory.obtenerConexion(Base);
        Statement st = cnx.createStatement();
        String query = "select IF(tip_cuo=1,'Matricula','Pensión') Concepto,mon_cuo,IF(tip_cuo=1,fm.mon_dcto_mat,pg.des_cuo) descuento,\n"
                + "IF(tip_cuo=1,pg.des_mot_cou,fm.des_dcto) nombreDescuento from ficha_matricula fm\n"
                + "INNER JOIN cuotas_pago pg on fm.cod_mat=pg.cod_fic_mat WHERE cod_mat="+codFichaMatricula+" GROUP BY tip_cuo;";
        ResultSet rs = st.executeQuery(query);
        while (rs.next()) {
            CuotasPagoBean c = new CuotasPagoBean();
            c.setDes_cuota(rs.getString("Concepto"));
            c.setMon_cuo(rs.getDouble("mon_cuo"));
            c.setDescuento_cuo(rs.getDouble("descuento"));
            c.setDescuento_nombre(rs.getString("nombreDescuento"));
            lista.add(c);
        }
        System.out.println("cuotasFichaMatricula query-->" + query);
        cnx.close();
        return lista;
    }

}
