/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.services;

import java.util.ArrayList;
import pe.siso.beans.AlumnoBean;
import pe.siso.dao.AlumnoDAO;
import pe.siso.dao.DAOFactory;

/**
 *
 * @author sistem05user
 */
public class AlumnoServices {

    DAOFactory fabrica = DAOFactory.getDAOFactory(DAOFactory.MYSQL);
    AlumnoDAO objAlumnoDAO = fabrica.getAlumnoDAO();

    public ArrayList<AlumnoBean> listaAlumno(String tipoDocumento, String busqueda,String periodo, int inicio, int cantidad) {
        ArrayList<AlumnoBean> lista=new ArrayList<>();
        try {
            lista=objAlumnoDAO.listaAlumno(tipoDocumento, busqueda, periodo, inicio, cantidad);
        } catch (Exception e) {
        }
        return lista;
    }
     public int CantlistaAlumno(String tipoDocumento, String busqueda,String periodo) {
         int cantidad=0;
         try {
            cantidad=objAlumnoDAO.CantlistaAlumno(tipoDocumento, busqueda, periodo);
        } catch (Exception e) {
        }
        return cantidad;
    }
     public String codHermanos(int codAlumno,int codGrupo){
         String codHermano="";
         try {
             codHermano=objAlumnoDAO.ListaHermanos(codAlumno,codGrupo);
         } catch (Exception e) {
         }
         return codHermano;
     }
       public String registrarAlumno(ArrayList<AlumnoBean> alu){
           String codAlumno=null;
           try {
               codAlumno=objAlumnoDAO.registrarAlumno(alu);
           } catch (Exception e) {
           }
           return codAlumno;
       }
       public int registrarHermanos(ArrayList<AlumnoBean> hermano,Integer codGrupo,String codAlumno){
       int resultado=0;
           try {
               resultado=objAlumnoDAO.registrarHermanos(hermano, codGrupo,codAlumno);
           } catch (Exception e) {
           }
       return resultado;
       
       }
       public int actualizarAlumno(ArrayList<AlumnoBean> alu){
           int resultado=0;
           try {
               resultado=objAlumnoDAO.actualizarAlumno(alu.get(0));
           } catch (Exception e) {
           }
           return resultado;
       }
       public int actualizarHermano(ArrayList<AlumnoBean> hermano, Integer codGrupo, String codAlumno){
           int resultado=0;
           try {
               resultado=objAlumnoDAO.actualizarHermano(hermano, codGrupo, codAlumno);
           } catch (Exception e) {
           }
           return resultado;
       }
       public ArrayList<AlumnoBean> consultarHermanosAluOrdenadoPorEdad(int codGrupo, int anioPer, int codAlumno, String codLocal, String desLocal){
           ArrayList<AlumnoBean> lista=new ArrayList<>();
           try {
               lista=objAlumnoDAO.consultarHermanosAluOrdenadoPorEdad(codGrupo, anioPer, codAlumno, codLocal, desLocal);
           } catch (Exception e) {
           }
           return lista;
       }
       public AlumnoBean ConsultarAlumnoExitente(int codigoAlumno,int tipoDocumento,String documento, String nombreAlumno, String apellidoMaterno, String apelidoPaterno){
         AlumnoBean alumno=new AlumnoBean();
           try {
               alumno=objAlumnoDAO.ConsultarAlumnoExitente(codigoAlumno,tipoDocumento,documento, nombreAlumno, apellidoMaterno, apelidoPaterno);
           } catch (Exception e) {
           }
           return alumno;
       }
}
