/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.services;

import java.util.ArrayList;
import pe.siso.beans.ApoderadoBean;
import pe.siso.dao.ApoderadoDAO;
import pe.siso.dao.DAOFactory;

/**
 *
 * @author sistem05user
 */
public class ApoderadoServices {

    DAOFactory fabrica = DAOFactory.getDAOFactory(DAOFactory.MYSQL);
    ApoderadoDAO objApoderadoDAO = fabrica.getApoderadoDAO();

    public int registrarApoderado(ArrayList<ApoderadoBean> apoderado, String codAlumno) {
        int resultado=0;
        try {
            resultado=objApoderadoDAO.registrarApoderado(apoderado, codAlumno);
        } catch (Exception e) {
        }
        return resultado;
    }
    public ApoderadoBean BuscarApoderado(ApoderadoBean apo){
        ApoderadoBean apoderado=new  ApoderadoBean();
        try {
            apoderado=objApoderadoDAO.BuscarApoderado(apo);
        } catch (Exception e) {
        }
        return apoderado;
    }
    public ArrayList<ApoderadoBean> consultarApoderadosPorAlumno(int codAlu){
        ArrayList<ApoderadoBean> lista=new ArrayList<>();
        try {
            lista=objApoderadoDAO.consultarApoderadosPorAlumno(codAlu);
            
        } catch (Exception e) {
        }
        return lista;
    }
    public int ActualizarApoderado(ArrayList<ApoderadoBean> apoderado, String codAlumno){
        int resultado=0;
        try {
            resultado=objApoderadoDAO.ActualizarApoderado(apoderado, codAlumno);
        } catch (Exception e) {
            
        }
        return resultado;
    }
}
