/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.services;

import java.util.ArrayList;
import pe.siso.beans.CuotasPagoBean;
import pe.siso.beans.DescuentoHermanoBean;
import pe.siso.dao.CuotasPagoDAO;
import pe.siso.dao.DAOFactory;

/**
 *
 * @author sistem05user
 */
public class CuotasPagoServices {

    DAOFactory fabricaMySQL = DAOFactory.getDAOFactory(DAOFactory.MYSQL);
    CuotasPagoDAO objCuotasPagoMySQLDAO = fabricaMySQL.getCuotasPagoDAO();

    public int registrarCuotaPago(CuotasPagoBean cuotas) {
        int resultado = 0;
        try {
            resultado = objCuotasPagoMySQLDAO.registrarCuotaPago(cuotas);
        } catch (Exception e) {
            e.printStackTrace();
        }

        return resultado;
    }

    public int ActualizarCuotaPagoPorDescHerm(DescuentoHermanoBean desc) {
        int resultado = 0;
        try {
            resultado = objCuotasPagoMySQLDAO.ActualizarCuotaPagoPorDescHerm(desc);
        } catch (Exception e) {
        }
        return resultado;
    }
    public ArrayList<CuotasPagoBean> cuotasFichaMatricula(int codFichaMatricula){
        ArrayList<CuotasPagoBean> lista=new ArrayList<>();
        try {
            lista=objCuotasPagoMySQLDAO.cuotasFichaMatricula(codFichaMatricula);
        } catch (Exception e) {
        }
        return lista;
    }
}
