/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.servlets;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.json.JSONArray;
import org.json.JSONObject;
import pe.siso.beans.ApoderadoBean;
import pe.siso.services.ApoderadoServices;

/**
 *
 * @author sistem05user
 */
public class ApoderadoServlet extends HttpServlet {

    @Override
    protected void service(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

        String param = request.getParameter("Accion");

        if ("BuscarApoderado".equals(param)) {
            BuscarApoderado(request, response);
        }else if ("consultarApoderadosPorAlumno".equals(param)) {
            consultarApoderadosPorAlumno(request,response);
        }
    }

    private void BuscarApoderado(HttpServletRequest request, HttpServletResponse response) throws IOException {
        response.setContentType("text/html");
        PrintWriter pw = response.getWriter();
        ApoderadoServices servicio=new ApoderadoServices();
        String apoDNI=request.getParameter("apoDNI");
        String apoNombre=request.getParameter("apoNombre");
        String apoApeMaterno=request.getParameter("apoApeMaterno");
        String apoApePaterno=request.getParameter("apoApePaterno");
        
        ApoderadoBean apo=new ApoderadoBean();
        apo.setTxtApoDNI(apoDNI);
        apo.setTxtAponombre(apoNombre);
        apo.setTxtApopaterno(apoApePaterno);
        apo.setTxtApomaterno(apoApeMaterno);
        
//        if (apoDNI.equals(apoDNI) && apoNombre.equals(apoNombre) && apoApePaterno.equals(apoApePaterno) && apoApeMaterno.equals(apoApeMaterno)) {
            JSONObject jsonApoderado = new JSONObject(servicio.BuscarApoderado(apo));
            pw.println(jsonApoderado);
//        }
        
    }

    private void consultarApoderadosPorAlumno(HttpServletRequest request, HttpServletResponse response) throws IOException {
        response.setContentType("text/html");
        PrintWriter pw = response.getWriter();
        int codAlumno=Integer.parseInt(request.getParameter("codAlumno"));
        ApoderadoServices servicio=new ApoderadoServices();
        JSONArray jsonAporadoAlumno=new JSONArray(servicio.consultarApoderadosPorAlumno(codAlumno));
        pw.println(jsonAporadoAlumno);
        
        
    }
}
