/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.servlets;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.json.JSONArray;
import org.json.JSONObject;
import pe.siso.services.ColegioServices;

/**
 *
 * @author sistem05user
 */
public class ColegioServlet extends HttpServlet {

    @Override
    protected void service(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

        String param = request.getParameter("Accion");

        if ("listarColegio".equals(param)) {
            listarColegio(request, response);
        } else if ("colegioPorAlumno".equals(param)) {
            colegioPorAlumno(request, response);
        }
    }

    private void listarColegio(HttpServletRequest request, HttpServletResponse response) throws IOException {
        response.setContentType("text/html");
        PrintWriter pw = response.getWriter();
        ColegioServices servicio = new ColegioServices();
        JSONArray jsonColegio = new JSONArray(servicio.listarColegio());
        pw.println(jsonColegio);
    }

    private void colegioPorAlumno(HttpServletRequest request, HttpServletResponse response) throws IOException {
        response.setContentType("text/html");
        PrintWriter pw = response.getWriter();
        int codColegio = Integer.parseInt(request.getParameter("codColegio"));
        ColegioServices servicio = new ColegioServices();
        JSONObject jsonColegio = new JSONObject(servicio.colegioPorAlumno(codColegio));
        pw.println(jsonColegio);
    }

}
