/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.servlets;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.json.JSONArray;
import pe.siso.services.EnfermedadService;

/**
 *
 * @author sistem05user
 */
public class FichaSaludServlet extends HttpServlet {

    @Override
    protected void service(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

        String param = request.getParameter("Accion");

        if ("listarEnfermedad".equals(param)) {
            listarEnfermedad(request, response);
        } else if ("consultarEnfermedadPorAlumno".equals(param)) {
            consultarEnfermedadPorAlumno(request, response);
        } else if ("consultarAlergiaPorAlumno".equals(param)) {
            consultarAlergiaPorAlumno(request, response);
        }

    }

    private void listarEnfermedad(HttpServletRequest request, HttpServletResponse response) throws IOException {
        response.setContentType("text/html");
        PrintWriter pw = response.getWriter();
        EnfermedadService servicio = new EnfermedadService();
        JSONArray jsonEnfermedad = new JSONArray(servicio.listarEnfermedad());
        pw.println(jsonEnfermedad);
    }

    private void consultarEnfermedadPorAlumno(HttpServletRequest request, HttpServletResponse response) throws IOException {
        response.setContentType("text/html");
        PrintWriter pw = response.getWriter();
        String codAlumno = request.getParameter("codAlumno");
        EnfermedadService servicio = new EnfermedadService();
        JSONArray jsonEnfermedad = new JSONArray(servicio.consultarEnfermedadPorAlumno(codAlumno));
        pw.println(jsonEnfermedad);

    }

    private void consultarAlergiaPorAlumno(HttpServletRequest request, HttpServletResponse response) throws IOException {
        response.setContentType("text/html");
        PrintWriter pw = response.getWriter();
        String codAlumno = request.getParameter("codAlumno");
        EnfermedadService servicio = new EnfermedadService();
        JSONArray jsonAlergia = new JSONArray(servicio.consultarAlergiaPorAlumno(codAlumno));
        pw.println(jsonAlergia);
    }

}
