
<%@include file="general/header1.jsp" %>
<!--ESTILOS-->

<!--ESTILOS-->
<%@include file="general/header2.jsp" %>

<!--CUERPO-->
<div class="row">
    <div class="col-lg-12">
        <div class="panel panel-flat">
            <div class="panel-heading">
                <h6 class="panel-title">Alumno</h6>
                <div class="heading-elements">
                    <ul class="icons-list">
                        <li><a data-action="collapse"></a></li>
                    </ul>
                </div>
                <a class="heading-elements-toggle"><i class="icon-menu"></i></a></div>
            <div class="panel-body">
                <form action="#">
                    <div class="row">
                        <div class="col-sm-6">                                                    
                            <div class="form-group">
                                <label class="control-label">Alumno:</label>
                                <div class="input-group">
                                    <input type="text" class="form-control" placeholder="Apellidos y Nombres" readonly="">
                                    <span class="input-group-btn">
                                        <button class="btn btn-primary" id="btnBuscarAlumno"><i class="fa fa-search"></i> BUSCAR</button>
                                    </span>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-2">
                            <div class="form-group">
                                <label class="control-label">Nivel:</label>
                                <select class="form-control" >
                                    <option value="0">TODOS</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-sm-2">
                            <div class="form-group">
                                <label class="control-label">Grado:</label>
                                <select class="form-control">
                                    <option value="0">
                                        TODOS
                                    </option>
                                </select>
                            </div>
                        </div>
                        <div class="col-sm-2">
                            <div class="form-group">
                                <label class="control-label">Turno:</label>
                                <select class="form-control"></select>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-lg-12">
        <div class="panel panel-flat">
            <div class="panel-heading">
                <h6 class="panel-title">Documentos Entregados</h6>
                <div class="heading-elements">
                    <ul class="icons-list">
                        <li><a data-action="collapse"></a></li>
                    </ul>
                </div>
                <a class="heading-elements-toggle"><i class="icon-menu"></i></a></div>
            <div class="panel-body">
                <form action="#">
                    <div class="row">
                        <div class="col-sm-3"><label><input class="checkbox" type="checkbox"> 03 FOTOS A COLOR TAMAO CARN</label></div>
                        <div class="col-sm-3"><label><input class="checkbox" type="checkbox"> CERTIFICADO DE ESTUDIOS</label></div>
                        <div class="col-sm-3"><label><input class="checkbox" type="checkbox"> COPIA DNI DEL APODERADO</label></div>
                        <div class="col-sm-3"><label><input class="checkbox" type="checkbox"> COPIA DNI DEL ESTUDIANTE</label></div>
                        <div class="col-sm-3"><label><input class="checkbox" type="checkbox"> COPIA RECIBO LUZ, AGUA O TELFONO</label></div>
                        <div class="col-sm-3"><label><input class="checkbox" type="checkbox"> FICHA DE MATRCULA - SIAGIE</label></div>
                        <div class="col-sm-3"><label><input class="checkbox" type="checkbox"> LIBRETA DE NOTAS (ORIGINAL)</label></div>
                        <div class="col-sm-3"><label><input class="checkbox" type="checkbox"> MICA TRANSPARENTE A4</label></div>
                        <div class="col-sm-3"><label><input class="checkbox" type="checkbox"> PARTIDA DE NACIMIENTO</label></div>
                        <div class="col-sm-3"><label><input class="checkbox" type="checkbox"> TARJETA DE VACUNA (SOLO INICIAL)</label></div>
                    </div>
                    <div class="row">
                        <div class="col-sm-12 text-right">
                            <button class="btn btn-primary" type="button">
                                <i class="fa fa-plus-circle"></i>&nbsp;&nbsp; AGREGAR
                            </button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-lg-12">
        <div class="panel panel-flat">
            <div class="panel-heading">
                <h6 class="panel-title">Cursos a cargo</h6>
                <div class="heading-elements">
                    <ul class="icons-list">
                        <li><a data-action="collapse"></a></li>
                    </ul>
                </div>
                <a class="heading-elements-toggle"><i class="icon-menu"></i></a>
            </div>
            <div class="table-responsive">
                <table class="table table-striped table-hover table-bordered display responsive nowrap">
                    <thead class="">
                        <tr>
                            <th class="text-center">N</th>
                            <th class="text-center">CURSO</th>
                            <th class="text-center">PROMEDIO</th>
                            <th class="text-center">ACCIN</th>
                        </tr>
                    </thead>
                    <tbody> 
                        <tr>
                            <td colspan="4" class="text-center border-right">No presenta cursos a cargo.</td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="panel-body">
                <div class="row">
                    <div class="col-sm-12 text-right">
                        <button class="btn btn-primary" type="button">
                            <i class="fa fa-plus-circle"></i>&nbsp;&nbsp; AGREGAR
                        </button>
                        <button class="btn btn-primary" type="button">
                            <i class="fa fa-plus-square"></i>&nbsp;&nbsp; NUEVO
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-lg-12">
        <div class="panel panel-flat shadow-panel">
            <div class="panel-heading">
                <h6 class="panel-title">Colegio de procedencia</h6>
                <div class="heading-elements">
                    <ul class="icons-list">
                        <li><a data-action="collapse"></a></li>
                    </ul>
                </div>
                <a class="heading-elements-toggle"><i class="icon-menu"></i></a></div>
            <div class="panel-body">
                <form action="#">
                    <div class="row">
                        <div class="col-sm-6">                                                    
                            <div class="form-group">
                                <label class="control-label">Alumno:</label>
                                <div class="input-group">
                                    <input type="text" class="form-control" placeholder="Apellidos y Nombres" readonly="">
                                    <span class="input-group-btn">
                                        <button class="btn btn-primary" id="btnBuscarAlumno"><i class="fa fa-search"></i> BUSCAR</button>
                                    </span>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-2">
                            <div class="form-group">
                                <label class="control-label">Nivel:</label>
                                <select class="form-control" >
                                    <option value="0">TODOS</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-sm-2">
                            <div class="form-group">
                                <label class="control-label">Grado:</label>
                                <select class="form-control">
                                    <option value="0">
                                        TODOS
                                    </option>
                                </select>
                            </div>
                        </div>
                        <div class="col-sm-2">
                            <div class="form-group">
                                <label class="control-label">Turno:</label>
                                <select class="form-control"></select>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>


<!--<div class="row">
    <div class="col-sm-12">
        <div class="col-sm-6">
            <div class="form-group">
                <label class="control-label">Buscar Por:</label>
                <select class="form-control">
                    <option value="1">DNI</option>
                    <option value="2">CARN DE EXTRANJERIA</option>
                    <option value="3">PASAPORTE</option>
                    <option value="4">APELLIDOS </option> 
                </select>
            </div>
        </div>
        <div class="col-sm-6">                                                    
            <div class="form-group">
                <label class="control-label">DNI:</label>
                <input class="form-control">
            </div>
        </div>
    </div>
    <div class="col-sm-12 text-right">
        <div class="col-sm-12">
            <button class="btn btn-sm btn-primary" type="button" id="btnBuscar" onclick="validarBuscarMatriculas(1);">
                <i class="fa fa-search"></i>&nbsp;&nbsp; BUSCAR
            </button>
        </div>
    </div>
</div>
<br>
<div class="table-responsive"> 
    <table id="tblAlumnos" class="table table-striped table-hover table-bordered display responsive nowrap"> 
        <thead>                                                  
            <tr>                                                      
                <th class="text-center">N</th>
                <th class="text-center">DNI</th>
                <th class="text-center">NOMBRES</th>
                <th class="text-center">ESTADO</th>
                <th class="text-center">ACCIN</th>
            </tr>                                              
        </thead>                                              
        <tbody>  
            <tr>
                <td colspan="6" class="text-center border-right">Realiza una bsqueda</td>                                             
            </tr>
        </tbody>
    </table>  
</div>-->

<!--CUERPO-->
<%@include file="general/footer1.jsp" %>
<script src="../assets/js/plugins/notifications/bootbox.min.js" type="text/javascript"></script>
<script>
    $("input.checkbox").uniform({
        radioClass: 'choice'
    });
    $("#btnBuscarAlumno").on("click", function () {
        var dialogoBuscarAlumno = bootbox.dialog({
            headerClass: "bg-blue-700",
            title: "Buscar Alumno",
            size: "large",
            message: '<div class="row"> <div class="col-sm-12"> <div class="col-sm-6"> <div class="form-group"> <label class="control-label">Buscar Por:</label> <select class="form-control"> <option value="1">DNI</option> <option value="2">CARN DE EXTRANJERIA</option> <option value="3">PASAPORTE</option> <option value="4">APELLIDOS </option> </select> </div> </div> <div class="col-sm-6"> <div class="form-group"> <label class="control-label">DNI:</label> <input class="form-control"> </div> </div> </div> <div class="col-sm-12 text-right"> <div class="col-sm-12"> <button class="btn btn-sm btn-primary" type="button" id="btnBuscar" onclick="validarBuscarMatriculas(1);"> <i class="fa fa-search"></i>&nbsp;&nbsp; BUSCAR </button> </div> </div> </div> <br> <div class="table-responsive"> <table id="tblAlumnos" class="table table-striped table-hover table-bordered display responsive nowrap"> <thead class="bg-blue-700"> <tr> <th class="text-center">N</th> <th class="text-center">DNI</th> <th class="text-center">NOMBRES</th> <th class="text-center">ESTADO</th> <th class="text-center">ACCIN</th> </tr> </thead> <tbody> <tr> <td colspan="6" class="text-center border-right">Realiza una bsqueda</td> </tr> </tbody> </table> </div>',
            buttons: {
                cancelar: {
                    label: "<i class='fa fa-times bigger-110'></i>&nbsp; Cerrar",
                    className: "btn-danger",
                    callback: function () {

                    }
                }
            }
        });
        dialogoBuscarAlumno.init(function () {
            $(".bootbox .modal-body").css({
                padding: '10px'
            });
        }
        );
    });
</script>
<%@include file="general/footer2.jsp" %>
<%
}
%>