
package pe.siso.seguridad.webservices;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Clase Java para usuarioBean complex type.
 * 
 * <p>El siguiente fragmento de esquema especifica el contenido que se espera que haya en esta clase.
 * 
 * <pre>
 * &lt;complexType name="usuarioBean">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="apellidoMaternoPersona" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="apellidoPaternoPersona" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="codigoPersona" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="codigoProyecto" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="codigoProyectoDetalle" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="codigoSede" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="codigoTipoUsuario" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="codigoUsuario" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="codigoUsuarioDetalle" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="contrasena" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="estadoProyecto" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="estadoProyectoDetalle" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="estadoTipoUsuario" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="estadoUsuario" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="estadoUsuarioDetalle" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="nombreProyecto" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="nombreSede" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="nombreTipoUsuario" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="nombresPersona" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="numeroDocumentoUsuario" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="urlProyecto" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="usuario" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "usuarioBean", propOrder = {
    "apellidoMaternoPersona",
    "apellidoPaternoPersona",
    "codigoPersona",
    "codigoProyecto",
    "codigoProyectoDetalle",
    "codigoSede",
    "codigoTipoUsuario",
    "codigoUsuario",
    "codigoUsuarioDetalle",
    "contrasena",
    "estadoProyecto",
    "estadoProyectoDetalle",
    "estadoTipoUsuario",
    "estadoUsuario",
    "estadoUsuarioDetalle",
    "nombreProyecto",
    "nombreSede",
    "nombreTipoUsuario",
    "nombresPersona",
    "numeroDocumentoUsuario",
    "urlProyecto",
    "usuario"
})
public class UsuarioBean {

    protected String apellidoMaternoPersona;
    protected String apellidoPaternoPersona;
    protected int codigoPersona;
    protected int codigoProyecto;
    protected int codigoProyectoDetalle;
    protected int codigoSede;
    protected int codigoTipoUsuario;
    protected int codigoUsuario;
    protected int codigoUsuarioDetalle;
    protected String contrasena;
    protected int estadoProyecto;
    protected int estadoProyectoDetalle;
    protected int estadoTipoUsuario;
    protected int estadoUsuario;
    protected int estadoUsuarioDetalle;
    protected String nombreProyecto;
    protected String nombreSede;
    protected String nombreTipoUsuario;
    protected String nombresPersona;
    protected String numeroDocumentoUsuario;
    protected String urlProyecto;
    protected String usuario;

    /**
     * Obtiene el valor de la propiedad apellidoMaternoPersona.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getApellidoMaternoPersona() {
        return apellidoMaternoPersona;
    }

    /**
     * Define el valor de la propiedad apellidoMaternoPersona.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setApellidoMaternoPersona(String value) {
        this.apellidoMaternoPersona = value;
    }

    /**
     * Obtiene el valor de la propiedad apellidoPaternoPersona.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getApellidoPaternoPersona() {
        return apellidoPaternoPersona;
    }

    /**
     * Define el valor de la propiedad apellidoPaternoPersona.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setApellidoPaternoPersona(String value) {
        this.apellidoPaternoPersona = value;
    }

    /**
     * Obtiene el valor de la propiedad codigoPersona.
     * 
     */
    public int getCodigoPersona() {
        return codigoPersona;
    }

    /**
     * Define el valor de la propiedad codigoPersona.
     * 
     */
    public void setCodigoPersona(int value) {
        this.codigoPersona = value;
    }

    /**
     * Obtiene el valor de la propiedad codigoProyecto.
     * 
     */
    public int getCodigoProyecto() {
        return codigoProyecto;
    }

    /**
     * Define el valor de la propiedad codigoProyecto.
     * 
     */
    public void setCodigoProyecto(int value) {
        this.codigoProyecto = value;
    }

    /**
     * Obtiene el valor de la propiedad codigoProyectoDetalle.
     * 
     */
    public int getCodigoProyectoDetalle() {
        return codigoProyectoDetalle;
    }

    /**
     * Define el valor de la propiedad codigoProyectoDetalle.
     * 
     */
    public void setCodigoProyectoDetalle(int value) {
        this.codigoProyectoDetalle = value;
    }

    /**
     * Obtiene el valor de la propiedad codigoSede.
     * 
     */
    public int getCodigoSede() {
        return codigoSede;
    }

    /**
     * Define el valor de la propiedad codigoSede.
     * 
     */
    public void setCodigoSede(int value) {
        this.codigoSede = value;
    }

    /**
     * Obtiene el valor de la propiedad codigoTipoUsuario.
     * 
     */
    public int getCodigoTipoUsuario() {
        return codigoTipoUsuario;
    }

    /**
     * Define el valor de la propiedad codigoTipoUsuario.
     * 
     */
    public void setCodigoTipoUsuario(int value) {
        this.codigoTipoUsuario = value;
    }

    /**
     * Obtiene el valor de la propiedad codigoUsuario.
     * 
     */
    public int getCodigoUsuario() {
        return codigoUsuario;
    }

    /**
     * Define el valor de la propiedad codigoUsuario.
     * 
     */
    public void setCodigoUsuario(int value) {
        this.codigoUsuario = value;
    }

    /**
     * Obtiene el valor de la propiedad codigoUsuarioDetalle.
     * 
     */
    public int getCodigoUsuarioDetalle() {
        return codigoUsuarioDetalle;
    }

    /**
     * Define el valor de la propiedad codigoUsuarioDetalle.
     * 
     */
    public void setCodigoUsuarioDetalle(int value) {
        this.codigoUsuarioDetalle = value;
    }

    /**
     * Obtiene el valor de la propiedad contrasena.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getContrasena() {
        return contrasena;
    }

    /**
     * Define el valor de la propiedad contrasena.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setContrasena(String value) {
        this.contrasena = value;
    }

    /**
     * Obtiene el valor de la propiedad estadoProyecto.
     * 
     */
    public int getEstadoProyecto() {
        return estadoProyecto;
    }

    /**
     * Define el valor de la propiedad estadoProyecto.
     * 
     */
    public void setEstadoProyecto(int value) {
        this.estadoProyecto = value;
    }

    /**
     * Obtiene el valor de la propiedad estadoProyectoDetalle.
     * 
     */
    public int getEstadoProyectoDetalle() {
        return estadoProyectoDetalle;
    }

    /**
     * Define el valor de la propiedad estadoProyectoDetalle.
     * 
     */
    public void setEstadoProyectoDetalle(int value) {
        this.estadoProyectoDetalle = value;
    }

    /**
     * Obtiene el valor de la propiedad estadoTipoUsuario.
     * 
     */
    public int getEstadoTipoUsuario() {
        return estadoTipoUsuario;
    }

    /**
     * Define el valor de la propiedad estadoTipoUsuario.
     * 
     */
    public void setEstadoTipoUsuario(int value) {
        this.estadoTipoUsuario = value;
    }

    /**
     * Obtiene el valor de la propiedad estadoUsuario.
     * 
     */
    public int getEstadoUsuario() {
        return estadoUsuario;
    }

    /**
     * Define el valor de la propiedad estadoUsuario.
     * 
     */
    public void setEstadoUsuario(int value) {
        this.estadoUsuario = value;
    }

    /**
     * Obtiene el valor de la propiedad estadoUsuarioDetalle.
     * 
     */
    public int getEstadoUsuarioDetalle() {
        return estadoUsuarioDetalle;
    }

    /**
     * Define el valor de la propiedad estadoUsuarioDetalle.
     * 
     */
    public void setEstadoUsuarioDetalle(int value) {
        this.estadoUsuarioDetalle = value;
    }

    /**
     * Obtiene el valor de la propiedad nombreProyecto.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNombreProyecto() {
        return nombreProyecto;
    }

    /**
     * Define el valor de la propiedad nombreProyecto.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNombreProyecto(String value) {
        this.nombreProyecto = value;
    }

    /**
     * Obtiene el valor de la propiedad nombreSede.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNombreSede() {
        return nombreSede;
    }

    /**
     * Define el valor de la propiedad nombreSede.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNombreSede(String value) {
        this.nombreSede = value;
    }

    /**
     * Obtiene el valor de la propiedad nombreTipoUsuario.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNombreTipoUsuario() {
        return nombreTipoUsuario;
    }

    /**
     * Define el valor de la propiedad nombreTipoUsuario.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNombreTipoUsuario(String value) {
        this.nombreTipoUsuario = value;
    }

    /**
     * Obtiene el valor de la propiedad nombresPersona.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNombresPersona() {
        return nombresPersona;
    }

    /**
     * Define el valor de la propiedad nombresPersona.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNombresPersona(String value) {
        this.nombresPersona = value;
    }

    /**
     * Obtiene el valor de la propiedad numeroDocumentoUsuario.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNumeroDocumentoUsuario() {
        return numeroDocumentoUsuario;
    }

    /**
     * Define el valor de la propiedad numeroDocumentoUsuario.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNumeroDocumentoUsuario(String value) {
        this.numeroDocumentoUsuario = value;
    }

    /**
     * Obtiene el valor de la propiedad urlProyecto.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUrlProyecto() {
        return urlProyecto;
    }

    /**
     * Define el valor de la propiedad urlProyecto.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUrlProyecto(String value) {
        this.urlProyecto = value;
    }

    /**
     * Obtiene el valor de la propiedad usuario.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUsuario() {
        return usuario;
    }

    /**
     * Define el valor de la propiedad usuario.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUsuario(String value) {
        this.usuario = value;
    }

}
