
<%@include file="general/header1.jsp"%>
<style>
    .datatable-header{
        display:  none;
    }
</style>
<link href="../styles/tippy.css" rel="stylesheet" type="text/css"/>
<%@include file="general/header2.jsp" %>



<!-- /theme JS files -->


<!-- Main charts -->
<div id="divPrincipal" class="body-content animated fadeIn">

    <div class="row">
        <div class="col-sm-2"></div>
        <div class="col-sm-8">
            <div class="panel panel-flat panel-primary panel-bordered  ">
                <div class="panel-heading ">
                    <div class="pull-left">
                        <h6 class="panel-title">Buscar alumnos </h6>
                    </div>
                    <div class="clearfix"></div>
                </div><!-- /.panel-heading -->
                <div class="panel-body">
                    <form method="POST" role="form" id="formBuscarAlu">
                        <div class="form-body">
                            <div class="col-sm-12" id="divBuscarAlu">
                                <div class="col-sm-6 ">
                                    <div class="form-group">
                                        <label class="control-label">BUSCAR POR: </label>
                                        <select class="form-control" id="cboFiltro" >
                                            <option value="0">DNI</option> 
                                            <option value="1">CARN DE EXTRANJERIA</option> 
                                            <option selected="" value="3">APELLIDOS </option>
                                            <option value="2">PASAPORTE</option> 
                                        </select>
                                    </div>

                                </div>
                                <div class="col-sm-6" id="divFiltro">
                                    <div class="form-group">
                                        <label class="control-label">APELLIDOS :</label>
                                        <input id="txtBuscar" maxlength="8" type="text" class="form-control validate[required]" onkeypress="return validarCajastexto(event, 'numerico');" placeholder="INGRESE APELLIDO"> 
                                    </div>
                                </div>
                                <div class="col-sm-12 " align="right">
                                    <label for="female"><b><span class="asterisk">(*)</span> Campos Obligatorios</b></label>
                                    <br>
                                </div>

                            </div>
                        </div><!-- /.form-body -->
                        <div class="form-footer col-sm-12">
                            <div align="right">
                                <button class="btn btn-primary"  type="button" id="btnBuscar" >
                                    <i class="fa fa-search"></i>&nbsp;&nbsp; BUSCAR
                                </button>
                                <!--<button class="btn btn-danger mr-5">Cancel</button>-->

                                <!--                                            <div class="clearfix"></div>-->


                                <button class="btn btn-danger  "  type="button" id="btnLimpiar" onclick="limpiarFiltro(), limpiarTabla(); eliminarSesionConsAlu();">
                                    <i class="fa fa-repeat"></i>&nbsp;&nbsp; LIMPIAR
                                </button>
                                <!--<button class="btn btn-danger mr-5">Cancel</button>-->
                            </div>
                            <div class="clearfix"></div>
                        </div>
                    </form>
                </div><!-- /.panel-body -->
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12 text-right">

            <button   class="btn btn-success" type="button" id="btnNuevoAlumno"  data-toggle="tooltip" data-placement="top" data-original-title="Ver todos los alumnos">
                <i class="fa fa-plus-circle"></i>&nbsp;&nbsp; NUEVO ALUMNO
            </button>
        </div>                            
    </div>                            


    <br>

    <div class="row">

        <div class="">
            <div class="col-sm-12">        
                <div class="panel panel-flat panel-primary panel-bordered  ">  
                    <div class="panel-heading">
                        <h6 class="panel-title">Lista de alumnos</h6>
                        <div class="heading-elements">
                            <ul class="icons-list">
                                <li><a data-action="collapse"></a></li>
                            </ul>
                        </div>
                        <a class="heading-elements-toggle"><i class="icon-menu"></i></a>
                        <a class="heading-elements-toggle"><i class="icon-more"></i></a>
                    </div>
                    <div class="panel-body no-padding" id="cuerpoTablaAlumno"><div class="table-responsive" style="margin-top: -1px;"> 
                            <table id="tblDatosAlumno" class="table table-striped table-hover table-bordered display responsive nowrap" style="border: 1PX solid #C6C6C6; font-size:11px;"> 
                                <thead>                                                  
                                    <tr>                                                      
                                        <!--<th class="text-center" style="width: 5%">N</th>-->
                                        <th class="text-center" >Apellidos Y Nombres</th>
                                        <th class="text-center" >DNI</th>
                                        <th class="text-center" >Direccin</th>
                                        <th class="text-center" >Telf. Emergencia</th>
                                        <th class="text-center" >Matrcula</th>
                                        <th class="text-center" >Estado</th>
                                        <th class="text-center" >Accin</th>
                                    </tr>                                              
                                </thead>                                              
                                <tbody>  
                                    <tr>
                                        <td colspan="10" style="vertical-align: middle;" class="text-center border-right">Realice una bsqueda.</td>
                                    </tr>
                                </tbody>
                            </table> 
                        </div></div><!-- /.panel-body -->                              
                </div><!-- /.panel -->
                <br>
            </div>
        </div>

    </div>
    <br>
</div>

<%@include file="general/footer1.jsp" %>
<script src="../assets/js/plugins/tables/datatables/datatables.min.js"></script>
<script src="../assets/js/plugins/tables/datatables/extensions/fixed_header.min.js"></script>
<script src="../assets/js/plugins/tables/datatables/extensions/select.min.js"></script>
<script src="../assets/js/pages/datatables_basic.js"></script>
<script src="../js/tippy.min.js" type="text/javascript"></script>
<script>
                                    function segundaCarga() {
                                        datosAlumno.buscarAlumno();
                                    }
                                    $("#btnNuevoAlumno").click(function () {
                                        window.location = "registroAlumno.jsp";
                                    });
                                    $("#btnBuscar").click(function () {
                                        $('#tblDatosAlumno').DataTable().destroy();
                                        datosAlumno.buscarAlumno();
                                    });
                                    var datosAlumno = {
                                        buscarAlumno: function () {
                                            var tipoDocumento = $("#cboFiltro").val();
                                            var BuscarAlumno = $("#txtBuscar").val();
//            
                                            var table = $('#tblDatosAlumno').DataTable({
                                                "bSort": false,
                                                "bFilter": false,
                                                "serverSide": true,
                                                "processing": true,
                                                "iDisplayLength": 10,
                                                "aaSorting": [],
                                                "ordering": false,
                                                "bLengthChange": false,
                                                "bInfo": true,
                                                "paging": true,
                                                "columnDefs": [
                                                    {"targets": [0], className: "text-left"}, 
                                                    {"targets": [1], className: "text-center", "width": "8%"},
                                                    {"targets": [2], className: "text-left"},
                                                    {"targets": [3], className: "text-center", "width": "10%"},
                                                    {"targets": [4], className: "text-center", "width": "8%"},
                                                    {"targets": [5], className: "text-center", "width": "8%"},
                                                    {"targets": [6], className: "text-center", "width": "5%"}
                                                ], "oLanguage": {
                                                    sInfo: "Mostrando _START_ a _END_ de _TOTAL_ Alumnos",
                                                    sInfoEmpty: "Monstrando 0 a 0 de 0 Alumnos"
                                                },
                                                "scrollX": false,
                                                "ScrollCollapse": true,
                                                "ajax": {
                                                    "url": "../AlumnoServlet?Accion=listarAlumno",
                                                    data: {
                                                        "tipoDocumento": tipoDocumento,
                                                        "BuscarHermano": BuscarAlumno
                                                    }, beforeSend: function () {
                                                    }, complete: function () {

                                                        tippy('.icotippy', {
                                                            position: 'right',
                                                            animation: 'scale',
                                                            duration: 500,
                                                            arrow: true,
                                                            size: 'big'
                                                        });
                                                    }
                                                }, "columns": [
                                                    {data: 'nombreCompleto'},
                                                    {data: 'txtDni'},
                                                    {data: 'sltDireccion'},
                                                    {data: 'sltEmergencia'},
                                                    {data: 'estadoMatricula', "render": function (data, type, row) {
                                                            return  data == 1 ? "<span class=\"label bg-info\">Matriculado</span>" : "<span class=\"label bg-warning\">Pendiente</span>";
                                                        }
                                                    },
                                                    {"data": 'estadoAlumno', "render": function (data, type, row) {
                                                            return  data == 1 ? "<span class=\"label bg-success\">Activo</span>" : "<span class=\"label bg-danger\">Inactivo</span>";
                                                        }
                                                    },
                                                    {"data": null,
                                                        "render": function (data) {
                                                            return '<ul class="icons-list"> <li><a class=" icotippy fa fa-edit editarAlumno" title="Editar Alumno" ></a></li><li><a class="icotippy fa fa-pencil matriculaAlumno" title="Matrcula Alumno"></a></li></ul>';
                                                        }
                                                    }
                                                ], "fnRowCallback": function (row, data) {
                                                    console.log(data);
                                                }, "fnPreDrawCallback": function () {
                                                }, "fnDrawCallback": function () {
                                                }, "createdRow": function (row, data, index) {
                                                }, "initComplete": function (settings, json) {
                                                }

                                            });
                                            $('#tblDatosAlumno tbody').on('click', '.editarAlumno', function () {
                                                var data = table.row($(this).parents('tr')).data();
                                                window.location = 'editarAlumno.jsp';
                                                window.name = JSON.stringify(data);
                                            });
                                            $('#tblDatosAlumno tbody').on('click', '.matriculaAlumno', function () {
                                                var data = table.row($(this).parents('tr')).data();
                                                window.name = JSON.stringify(data);
                                                window.location.href = "registroMatricula.jsp";
//                                                console.log(JSON.stringify(data));
                                            });
                                        }
                                    };
                                    $("#cboFiltro").change(function () {
                                        $("#txtBuscar").siblings().html($(this).find("option:selected").text() + ":");
                                        $("#txtBuscar").attr("placeholder", "INGRESE " + $(this).find("option:selected").text());
                                    });

</script>

<%@include file="general/footer2.jsp" %>       
