<%@page contentType="text/html" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html lang="es">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <title>TITULO</title>
        <!-- Global stylesheets -->
        <link href="../assets/css/family.css" rel="stylesheet" type="text/css"/>
        <link href="../assets/css/icons/icomoon/styles.css" rel="stylesheet" type="text/css">
        <link href="../assets/css/bootstrap.css" rel="stylesheet" type="text/css">
        <link href="../assets/css/core.css" rel="stylesheet" type="text/css">
        <link href="../assets/css/components.css" rel="stylesheet" type="text/css">
        <link href="../assets/css/colors.css" rel="stylesheet" type="text/css">
        <!-- /global stylesheets -->
    </head>

    <body class="pace-done sidebar-xs-indicator sidebar-mobile-main">

        <!-- Main navbar -->
        <div class="navbar navbar-default header-highlight">
            <div class="navbar-header">
                <a class="navbar-brand" href="principal.jsp">
                    <img src="../assets/images/logo_light.png" alt="">
                </a>

                <ul class="nav navbar-nav visible-xs-block">
                    <li><a data-toggle="collapse" data-target="#navbar-mobile"><i class="icon-tree5"></i></a></li>
                    <li><a class="sidebar-mobile-main-toggle"><i class="icon-paragraph-justify3"></i></a></li>
                </ul>
            </div>

            <div class="navbar-collapse collapse" id="navbar-mobile">
                <ul class="nav navbar-nav">
                    <li><a class="sidebar-control sidebar-main-toggle hidden-xs"><i class="icon-paragraph-justify3"></i></a></li>
                </ul>
                <p class="navbar-text"><span class="text-semibold" style="color: #26a69a;">NOMBRE DE SISTEMA
                    </span></p>
                <ul class="nav navbar-nav navbar-right">
                    <li class="dropdown dropdown-user">
                        <a class="dropdown-toggle" data-toggle="dropdown">
                            <img src="" alt="">
                            <span>NOMBRE</span>

                            <i class="caret"></i>
                        </a>

                        <ul class="dropdown-menu dropdown-menu-right">
                            <li>
                                <a href="close.jsp">
                                    <i class="icon-switch2"></i> Salir
                                </a>
                            </li>
                        </ul>
                    </li>
                </ul>
            </div>
        </div>

        <!-- /main navbar -->

        <!-- Page container -->
        <div class="page-container">

            <!-- Page content -->
            <div class="page-content">

                <!-- Main sidebar -->
                <div class="sidebar sidebar-main">
                    <div class="sidebar-content">

                        <!-- User menu -->
                        <div class="sidebar-user">
                            <div class="category-content">
                                <div class="media">
                                    <a href="#" class="media-left">
                                        <img src="" class="img-circle img-sm" alt="">
                                    </a>
                                    <div class="media-body">
                                        <span class="media-heading text-semibold">NOMBRE</span>
                                        <div class="text-size-mini text-muted">
                                            <i class="icon-user text-size-small"></i> Administrador
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- /user menu -->


                        <!-- Main navigation -->
                        <div class="sidebar-category sidebar-category-visible">
                            <div class="category-content no-padding">
                                <ul class="navigation navigation-main navigation-accordion" id="lista_menu">
                                    <!-- Main -->

                                    <li class="active">
                                        <a href="index.jsp"><i class="icon-home4"></i> <span>DEPARTAMENTOS</span></a>
                                    </li>
                                    <li class="">
                                        <a href="fichamatricula.jsp"><i class="icon-home4"></i> <span>FICHA MATRICULA</span></a>
                                    </li>
                                    <li>
                                        <a href="#" class="has-ul"><i class="icon-stack2"></i> <span>Page layouts</span></a>
                                        <ul class="hidden-ul">
                                            <li><a href="layout_navbar_fixed.html">Fixed navbar</a></li>
                                            <li><a href="layout_footer_fixed.html">Fixed footer</a></li>
                                            <li class="navigation-divider"></li>
                                            <li><a href="boxed_default.html">Boxed with default sidebar</a></li>
                                        </ul>
                                    </li>
                                    <li class="navigation-header">
                                        <span>Layout</span> 
                                        <i class="icon-menu" title="" data-original-title="Layout options"></i>
                                    </li>
                                    <li>
                                        <a href="#" class="has-ul"><i class="icon-indent-decrease2"></i> <span>Sidebars</span></a>
                                        <ul class="hidden-ul">
                                            <li><a href="sidebar_mini_collapse.html">Mini collapsible</a></li>
                                            <li>
                                                <a href="#" class="has-ul">Dual sidebar</a>
                                                <ul class="hidden-ul">
                                                    <li><a href="sidebar_dual.html">Dual sidebar</a></li>
                                                    <li><a href="sidebar_dual_double_collapse.html">Dual double collapse</a></li>
                                                    <li><a href="sidebar_dual_double_hide.html">Dual double hide</a></li>
                                                    <li><a href="sidebar_dual_swap.html">Swap sidebars</a></li>
                                                </ul>
                                            </li>
                                        </ul>
                                    </li>
                                    <!-- /layout -->

                                </ul>
                            </div>
                        </div>
                        <!-- /main navigation -->

                    </div>
                </div>
                <!-- /main sidebar -->


                <!-- Main content -->
                <div class="content-wrapper">

                    <!-- Content area -->
                    <div class="content">

                        <!-- Main charts -->
                        <div class="row">


                            <div class="col-lg-12">
                                <div class="panel panel-flat">
                                    <div class="panel-heading">
                                        <h6 class="panel-title">Datos del estudiante</h6>
                                        <div class="heading-elements">
                                            <ul class="icons-list">
                                                <li><a data-action="collapse"></a></li>
                                                <!--<li><a data-action="reload"></a></li>
                                                <li><a data-action="close"></a></li>-->
                                            </ul>
                                        </div>
                                        <a class="heading-elements-toggle"><i class="icon-menu"></i></a></div>

                                    <div class="panel-body">
                                        <form action="#">
                                            <div class="row">
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <label class="control-label">Departamento:</label>
                                                        <select class="form-control" id="cboDepartamentos">
                                                            <option value="0">Selecciona un Departamento</option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>


                        </div>
                        <!-- /main charts -->

                        <!-- Footer -->
                        <div class="footer text-muted">
                            &copy; 2016. <a href="#">Área de </a> TIC 
                        </div>
                        <!-- /footer -->

                    </div>
                    <!-- /content area -->

                </div>
                <!-- /main content -->

            </div>
            <!-- /page content -->

        </div>
        <!-- /page container -->

        <!-- Core JS files -->
        <script type="text/javascript" src="../assets/js/plugins/loaders/pace.min.js"></script>
        <script type="text/javascript" src="../assets/js/core/libraries/jquery.min.js"></script>
        <script type="text/javascript" src="../assets/js/core/libraries/bootstrap.min.js"></script>
        <script type="text/javascript" src="../assets/js/plugins/loaders/blockui.min.js"></script>
        <!-- /core JS files -->

        <!-- Theme JS files -->
        <script src="../assets/js/plugins/forms/selects/select2.min.js" type="text/javascript"></script>
        <script type="text/javascript" src="../assets/js/plugins/forms/styling/switchery.min.js"></script>
        <script type="text/javascript" src="../assets/js/plugins/forms/styling/uniform.min.js"></script>
        <script type="text/javascript" src="../assets/js/plugins/forms/selects/bootstrap_multiselect.js"></script>
        <script type="text/javascript" src="../assets/js/plugins/ui/moment/moment.min.js"></script>
        <script type="text/javascript" src="../assets/js/plugins/pickers/daterangepicker.js"></script>
        <script type="text/javascript" src="../assets/js/core/app.js"></script>

        <script>
            $(document).ready(function () {
                listarDepartamentos();
                $("#cboDepartamentos").select2({
                    minimumResultsForSearch: Infinity
                });
            });
            function listarDepartamentos() {
                $.ajax({
                    type: 'POST',
                    url: "../UbigeoServlet?accion=listarDepartamentos",
                    data: "",
                    dataType: 'JSON',
                    success: function (resultado) {
                        var print = '<option value="0">Selecciona un Departamento</option>';
                        for (var i in resultado) {
                            print += '<option value="' + resultado[i].cod_dep_ubi + '">' + resultado[i].nom_dep_ubi + '</option>';
                        }
                        $("#cboDepartamentos").html(print);
                    }
                });
            }




        </script>

        <!-- /theme JS files -->

    </body>
</html>
