/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.mysqldao;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;
import pe.siso.beans.AlumnoHermanoBean;
import pe.siso.beans.DescuentoHermanoBean;
import pe.siso.dao.AlumnoHermanoDAO;

/**
 *
 * @author sistem05user
 */
public class MySqlAlumnoHermano implements AlumnoHermanoDAO {

    @Override
    public ArrayList<DescuentoHermanoBean> listarAlumnoHermano(int codGrupo, int anioPer, int codAlumno, String codLocal, String desLocal) throws Exception {
        ArrayList<DescuentoHermanoBean> lista = new ArrayList<>();
        String Base = "matricula";
        int cantAlumohermano = 0;
        Connection cnx = MySqlDAOFactory.obtenerConexion(Base);
        Statement st = cnx.createStatement();
        String query = "SELECT @rownum := @rownum+1 as ordenhermano,x.*  "
                + " FROM(SELECT ah.cod_alu_hno, ah.cod_alu,CONCAT(a.ape_pat_alu,' ',a.ape_mat_alu,', ',a.nom_alu) nombre_completo, a.dni_alu, a.cod_ban_alu,  "
                + "		  YEAR(CURDATE())-YEAR(a.fec_nac_alu) + IF(DATE_FORMAT(CURDATE(),'%m-%d') > DATE_FORMAT(a.fec_nac_alu,'%m-%d'), 0, -1) AS edad "
                + "			,a.fec_nac_alu, ah.cod_grupo,au.cod_local, l.deslocal,fc.cod_local_dcto,fc.cod_mat "
                + " FROM alumno_hermano ah  "
                + " INNER JOIN alumno a on a.cod_alu=ah.cod_alu "
                + " INNER JOIN ficha_matricula fc on fc.cod_alu = a.cod_alu "
                + " INNER JOIN aula au on au.cod_aula = fc.cod_aula "
                + " INNER JOIN locales l on l.codlocal = au.cod_local "
                + " INNER JOIN periodo p on p.cod_per = fc.cod_per "
                + " WHERE cod_grupo=" + codGrupo + " and p.anio_per=" + anioPer + " AND ah.cod_alu !=" + codAlumno + " "
                + " UNION "
                + "SELECT ah.cod_alu_hno, ah.cod_alu,CONCAT(a.ape_pat_alu,' ',a.ape_mat_alu,', ',a.nom_alu) nombre_completo, a.dni_alu, a.cod_ban_alu,  "
                + "		  YEAR(CURDATE())-YEAR(a.fec_nac_alu) + IF(DATE_FORMAT(CURDATE(),'%m-%d') > DATE_FORMAT(a.fec_nac_alu,'%m-%d'), 0, -1) AS edad "
                + "			,a.fec_nac_alu, ah.cod_grupo, '" + codLocal + "' as 'cod_local', '" + desLocal + "' as 'deslocal',0 ,'' "
                + " FROM alumno_hermano ah "
                + " INNER JOIN alumno a on a.cod_alu = ah.cod_alu "
                + " WHERE ah.cod_alu=" + codAlumno + ") x,(SELECT @rownum := 0) as r  "
                + " ORDER BY x.fec_nac_alu ASC";
        ResultSet rs = st.executeQuery(query);
        System.out.println("query1 listarAlumnoHermano-->" + query);
        while (rs.next()) {
            cantAlumohermano++;
            DescuentoHermanoBean dah = new DescuentoHermanoBean();
            dah.setOrdenactual(rs.getInt("ordenhermano"));
            dah.setCodAlumno(rs.getInt("cod_alu"));
            dah.setCodMatricula(rs.getInt("cod_mat"));
            dah.setNombreCompleto(rs.getString("nombre_completo"));
            dah.setLocalAlumno(rs.getString("deslocal"));
            dah.setEdadAlumno(rs.getInt("edad"));
            dah.setCodLocalAlumno(rs.getString("cod_local"));
            lista.add(dah);
        }

        for (DescuentoHermanoBean desHermanos : lista) {
            String sentLocal = "";
            if (desHermanos.getCodLocalAlumno().equals("L061")) {
                sentLocal = " and cod_local='L061'";
            } else {
                sentLocal = " and cod_local is null ";
            }
            query = "SELECT cod_dcto_hno, desc_dcto_hno, cant_hno, nro_ord_hno, monto, tipo_monto, cod_local, tipo_dcto  from descuento_hermano WHERE cant_hno=" + lista.size() + "  AND nro_ord_hno=" + desHermanos.getOrdenactual() + " \n"
                    + " " + sentLocal + " ;";
            rs = st.executeQuery(query);
            System.out.println("query2 listarAlumnoHermano-->" + query);
            while (rs.next()) {
//                  -- tipo_monto 2:% , 1:S/.
//                  -- tipo_desct 1:matricula , 2:pension
                if (rs.getInt("tipo_dcto") == 1) {
                    desHermanos.setMontoDesMatricula(rs.getDouble("monto"));
                    desHermanos.setTpmontoMatricula(rs.getInt("tipo_monto"));
                    desHermanos.setNomDesMatricula(rs.getString("desc_dcto_hno"));
                } else {
                    desHermanos.setMontoDesPension(rs.getDouble("monto"));
                    desHermanos.setTpmontoPension(rs.getInt("tipo_monto"));
                    desHermanos.setNomDesPension(rs.getString("desc_dcto_hno"));
                }
            }

        }

        cnx.close();
        return lista;
    }

    @Override
    public int ConsultarCodGrupoHermanos(int codAlumno) throws Exception {
        ArrayList<DescuentoHermanoBean> lista = new ArrayList<>();
        String Base = "matricula";
        int codGrupoHermanos = 0;
        Connection cnx = MySqlDAOFactory.obtenerConexion(Base);
        Statement st = cnx.createStatement();
        String query = "select cod_grupo from alumno_hermano WHERE cod_alu="+codAlumno+" ;";
        ResultSet rs = st.executeQuery(query);
        System.out.println("query1 listarAlumnoHermano-->" + query);
        while (rs.next()) {
           codGrupoHermanos= rs.getInt("cod_grupo");
        }
        return codGrupoHermanos;
    }

}
