/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.mysqldao;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.Arrays;
import pe.siso.beans.ApoderadoBean;
import pe.siso.dao.ApoderadoDAO;

/**
 *
 * @author sistem05user
 */
public class MySqlApoderadoDAO implements ApoderadoDAO {

    @Override
    public int registrarApoderado(ArrayList<ApoderadoBean> apoderado, String codAlumno) throws Exception {
        int resultado = 0;

        String Base = "matricula";
        Connection cnx = MySqlDAOFactory.obtenerConexion(Base);
        Statement st = cnx.createStatement();

        for (int i = 0; i < apoderado.size(); i++) {
            int codApoderado = 0;
            String query = "";
            if (apoderado.get(i).getCodApoderado() == 0) {
                query = "INSERT INTO apoderado (cod_apo, dni_apo, nom_apo, ape_pat_apo, ape_mat_apo, fec_nac_apo, gra_ins_apo, ocu_apo, cen_lab_apo, dir_apo, tel_apo, cel_apo) "
                        + " VALUES (null , '" + apoderado.get(i).getTxtApoDNI() + "' ,"
                        + " '" + apoderado.get(i).getTxtAponombre() + "' ,"
                        + " '" + apoderado.get(i).getTxtApopaterno() + "' ,"
                        + " '" + apoderado.get(i).getTxtApomaterno() + "' ,"
                        + " STR_TO_DATE('"+apoderado.get(i).getTxtFecnacimiento()+"','%d/%m/%Y') ,"
                        + " '" + apoderado.get(i).getSltGraInstruccion() + "' ,"
                        + " '" + apoderado.get(i).getTxtApoocupacion() + "' ,"
                        + " '" + apoderado.get(i).getTxtApolabores() + "' ,"
                        + " '" + apoderado.get(i).getTxtDomicilios() + "' ,"
                        + " '" + apoderado.get(i).getTxtApotelefono() + "' ,"
                        + " '" + apoderado.get(i).getTxtApocelular() + "' )";
                System.out.println("query registrarApoderado->" + query);
                resultado = st.executeUpdate(query);
                //OBTENER ID
                ResultSet rs = st.getGeneratedKeys();
                if (rs.next()) {
                    codApoderado = rs.getInt(1);
                }
                System.out.println("registrarApoderado -->" + query);
            } else {
                codApoderado = apoderado.get(i).getCodApoderado();
            }

//            ResultSet rsPk = pstmt1.getGeneratedKeys();
            System.out.println(resultado);
            query = "INSERT INTO alumno_apoderado ( cod_alu_apo ,  cod_alu ,  cod_apo ,  rel_apo ) VALUES (null, " + codAlumno + ", " + codApoderado + ", '" + apoderado.get(i).getSltApoVinculo() + "');";
            resultado = st.executeUpdate(query);
        }

        cnx.close();
        return resultado;
    }

    @Override
    public ApoderadoBean BuscarApoderado(ApoderadoBean apo) throws Exception {
        ApoderadoBean apoderado = new ApoderadoBean();
        String concat = "";
        if (!apo.getTxtApoDNI().equals("")) {
            concat += " and dni_apo=" + apo.getTxtApoDNI() + " ";
        }
        String Base = "matricula";
        Connection cnx = MySqlDAOFactory.obtenerConexion(Base);
        Statement st = cnx.createStatement();
        String query = "select cod_apo,dni_apo,nom_apo,ape_pat_apo,ape_mat_apo,fec_nac_apo,gra_ins_apo,ocu_apo,cen_lab_apo,dir_apo,tel_apo,cel_apo \n"
                + "from apoderado WHERE nom_apo LIKE '%" + apo.getTxtAponombre() + "%' and ape_pat_apo LIKE '%" + apo.getTxtApopaterno() + "%' and  ape_mat_apo LIKE '%" + apo.getTxtApomaterno() + "%' " + concat + " ";
        ResultSet rs = st.executeQuery(query);
        if (rs.next()) {
            apoderado.setCodApoderado(rs.getInt("cod_apo"));
            apoderado.setTxtApoDNI(rs.getString("dni_apo"));
            apoderado.setTxtAponombre(rs.getString("nom_apo"));
            apoderado.setTxtApopaterno(rs.getString("ape_pat_apo"));
            apoderado.setTxtApomaterno(rs.getString("ape_mat_apo"));
            apoderado.setTxtFecnacimiento(rs.getString("fec_nac_apo"));
            apoderado.setSltGraInstruccion(rs.getString("gra_ins_apo"));
            apoderado.setTxtApoocupacion(rs.getString("ocu_apo"));
            apoderado.setTxtApolabores(rs.getString("cen_lab_apo"));
            apoderado.setTxtDomicilios(rs.getString("dir_apo"));
            apoderado.setTxtApotelefono(rs.getString("tel_apo"));
            apoderado.setTxtApocelular(rs.getString("cel_apo"));
        }
        System.out.println("query BuscarApoderado -->" + query);
        cnx.close();
        return apoderado;

    }

    @Override
    public ArrayList<ApoderadoBean> consultarApoderadosPorAlumno(int codAlu) throws Exception {
        ArrayList<ApoderadoBean> lista = new ArrayList<>();

        String Base = "matricula";
        Connection cnx = MySqlDAOFactory.obtenerConexion(Base);
        Statement st = cnx.createStatement();

        String query = "SELECT cod_alu_apo,aa.cod_apo, dni_apo, nom_apo ,  ape_pat_apo ,  ape_mat_apo ,  fec_nac_apo ,  gra_ins_apo ,  ocu_apo, "
                + " cen_lab_apo ,  dir_apo ,  tel_apo ,  cel_apo, aa.rel_apo "
                + "FROM alumno_apoderado aa "
                + "INNER JOIN apoderado a on a.cod_apo=aa.cod_apo "
                + "WHERE cod_alu=" + codAlu + " ;";

        System.out.println("consultarApoderadosPorAlumno --->" + query);
        ResultSet rs = st.executeQuery(query);

        while (rs.next()) {
            ApoderadoBean apo = new ApoderadoBean();
            apo.setCodAluApo(rs.getInt("cod_alu_apo"));
            apo.setCodApoderado(rs.getInt("cod_apo"));
            apo.setTxtApoDNI(rs.getString("dni_apo"));
            apo.setTxtAponombre(rs.getString("nom_apo"));
            apo.setTxtApopaterno(rs.getString("ape_pat_apo"));
            apo.setTxtApomaterno(rs.getString("ape_mat_apo"));
            apo.setTxtFecnacimiento(rs.getString("fec_nac_apo"));
            apo.setSltGraInstruccion(rs.getString("gra_ins_apo"));
            apo.setTxtApoocupacion(rs.getString("ocu_apo"));
            apo.setTxtApolabores(rs.getString("cen_lab_apo"));
            apo.setTxtDomicilios(rs.getString("dir_apo"));
            apo.setTxtApotelefono(rs.getString("tel_apo"));
            apo.setTxtApocelular(rs.getString("cel_apo"));
            apo.setSltApoVinculo(rs.getString("rel_apo"));

            lista.add(apo);
        }
        cnx.close();
        return lista;

    }

    @Override
    public int ActualizarApoderado(ArrayList<ApoderadoBean> apoderado, String codAlumno) throws Exception {
        int resultado = 0;
        String Base = "matricula";
        Connection cnx = MySqlDAOFactory.obtenerConexion(Base);
        Statement st = cnx.createStatement();
        Statement st1 = cnx.createStatement();
        String CodApoderadoEstado = "0";
        for (int i = 0; i < apoderado.size(); i++) {
            int codApoderado = 0;
            String query = "";
            if (apoderado.get(i).getCodAluApo() == 0) {
                if (apoderado.get(i).getCodApoderado() == 0) {
                    query = "INSERT INTO apoderado (cod_apo, dni_apo, nom_apo, ape_pat_apo, ape_mat_apo, fec_nac_apo, gra_ins_apo, ocu_apo, cen_lab_apo, dir_apo, tel_apo, cel_apo) "
                            + " VALUES (null , '" + apoderado.get(i).getTxtApoDNI() + "' ,"
                            + " '" + apoderado.get(i).getTxtAponombre() + "' ,"
                            + " '" + apoderado.get(i).getTxtApopaterno() + "' ,"
                            + " '" + apoderado.get(i).getTxtApomaterno() + "' ,"
                            + " '" + apoderado.get(i).getTxtFecnacimiento() + "' ,"
                            + " '" + apoderado.get(i).getSltGraInstruccion() + "' ,"
                            + " '" + apoderado.get(i).getTxtApoocupacion() + "' ,"
                            + " '" + apoderado.get(i).getTxtApolabores() + "' ,"
                            + " '" + apoderado.get(i).getTxtDomicilios() + "' ,"
                            + " '" + apoderado.get(i).getTxtApotelefono() + "' ,"
                            + " '" + apoderado.get(i).getTxtApocelular() + "' )";
                    System.out.println("query registrarApoderado->" + query);
                    resultado = st.executeUpdate(query);
                    //OBTENER ID
                    ResultSet rs = st.getGeneratedKeys();
                    if (rs.next()) {
                        codApoderado = rs.getInt(1);
                    }
                    System.out.println("registrarApoderado -->" + query);
                } else {
                    codApoderado = apoderado.get(i).getCodApoderado();
                    CodApoderadoEstado += "," + apoderado.get(i).getCodApoderado();
                }
                System.out.println(resultado);
                query = "INSERT INTO alumno_apoderado ( cod_alu_apo ,  cod_alu ,  cod_apo ,  rel_apo ) VALUES (null, " + codAlumno + ", " + codApoderado + ", '" + apoderado.get(i).getSltApoVinculo() + "');";
                resultado = st.executeUpdate(query);
            } else {
                CodApoderadoEstado += "," + apoderado.get(i).getCodApoderado();
            }
        }
        String query = "select ap.cod_alu_apo,ap.cod_apo,IF(IFNULL(x.cod_apo,0)=0,0,1) estado FROM alumno_apoderado  ap\n"
                + "LEFT JOIN (select cod_apo from alumno_apoderado WHERE cod_apo in(" + CodApoderadoEstado + ") ) x on ap.cod_apo=x.cod_apo\n"
                + "WHERE cod_alu=" + codAlumno + "  GROUP BY cod_apo";
        ResultSet rs = st.executeQuery(query);
        while (rs.next()) {
            String queryApoderado = "";
            if (rs.getInt("estado") == 0) {
                queryApoderado = "DELETE FROM alumno_apoderado WHERE cod_apo=" + rs.getInt("cod_apo") + " and cod_alu_apo=" + rs.getInt("cod_alu_apo") + ";";
                st1.executeUpdate(queryApoderado);
            }
        }
        System.out.println("query-->" + query);

        cnx.close();
        return resultado;
    }

}
