/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.mysqldao;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.Arrays;
import org.json.JSONArray;
import pe.siso.beans.AulaBean;
import pe.siso.beans.GradoBean;
import pe.siso.beans.NivelBean;
import pe.siso.beans.TurnoBean;
import pe.siso.dao.AulaDAO;

/**
 *
 * @author sistem05user
 */
public class MySqlAulaDAO implements AulaDAO {

    @Override
    public ArrayList<AulaBean> listarAulas(String codLocal, int inicio, int cantidad) throws Exception {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    @Override
    public int cantidadAulasLista(String codLocal) throws Exception {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    @Override
    public ArrayList<NivelBean> listarNiveles(String codLocal) throws Exception {
        ArrayList<NivelBean> lista = new ArrayList<>();
        String concat = "";
        if (!codLocal.equals("0")) {
            concat = " WHERE cod_local='" + codLocal + "' and a.est_aula=1 ";
        }
        String Base = "matricula";
        Connection cnx = MySqlDAOFactory.obtenerConexion(Base);
        Statement st = cnx.createStatement();
        String query = "select a.cod_niv,nv.des_niv from aula a\n"
                + "INNER JOIN nivel nv  on  nv.cod_niv=a.cod_niv\n"
                + "INNER JOIN grado gr on gr.cod_gra=a.cod_gra\n"
                + "INNER JOIN turno tr on tr.cod_tur=a.cod_tur\n"
                + " " + concat + " \n"
                + "GROUP BY nv.cod_niv;";
        ResultSet rs = st.executeQuery(query);
        while (rs.next()) {
            NivelBean nv = new NivelBean();
            nv.setCodigo(rs.getInt("cod_niv"));
            nv.setDescripcion(rs.getString("des_niv"));
            lista.add(nv);
        }
        System.out.println("query-->" + query);
        cnx.close();
        return lista;

    }

    @Override
    public ArrayList<GradoBean> listarGrados(int codNivel, String codLocal) throws Exception {
        ArrayList<GradoBean> lista = new ArrayList<>();
        String concat = "";
        if (!codLocal.equals("0")) {
            concat = " cod_local='" + codLocal + "' and a.est_aula=1 ";
        }
        String Base = "matricula";
        Connection cnx = MySqlDAOFactory.obtenerConexion(Base);
        Statement st = cnx.createStatement();
        String query = "select a.cod_gra,gr.des_gra from aula a\n"
                + "INNER JOIN nivel nv  on  nv.cod_niv=a.cod_niv\n"
                + "INNER JOIN grado gr on gr.cod_gra=a.cod_gra\n"
                + "INNER JOIN turno tr on tr.cod_tur=a.cod_tur\n"
                + "WHERE nv.cod_niv=" + codNivel + " AND " + concat + " \n"
                + "GROUP BY gr.cod_gra";
        ResultSet rs = st.executeQuery(query);
        while (rs.next()) {
            GradoBean gr = new GradoBean();
            NivelBean nv = new NivelBean();
            gr.setCodigo(rs.getInt("cod_gra"));
            gr.setDescripcion(rs.getString("des_gra"));
//            nv.setCodigo(rs.getInt(""));
            lista.add(gr);
        }
        System.out.println("query-->" + query);
        cnx.close();
        return lista;
    }

    @Override
    public ArrayList<TurnoBean> listarTurnos(String codLocal) throws Exception {
        ArrayList<TurnoBean> lista = new ArrayList<>();
        String concat = "";
        if (!codLocal.equals("0")) {
            concat = " WHERE cod_local='" + codLocal + "' and a.est_aula=1 ";
        }
        String Base = "matricula";
        Connection cnx = MySqlDAOFactory.obtenerConexion(Base);
        Statement st = cnx.createStatement();
        String query = "select tr.cod_tur,tr.des_tur  from aula a\n"
                + "INNER JOIN turno tr on tr.cod_tur=a.cod_tur\n"
                + " " + concat + " GROUP BY tr.cod_tur";
        ResultSet rs = st.executeQuery(query);
        while (rs.next()) {
            TurnoBean tur = new TurnoBean();
            tur.setCodigo(rs.getInt("cod_tur"));
            tur.setDescripcion(rs.getString("des_tur"));
            lista.add(tur);
        }
        System.out.println("query-->" + query);
        cnx.close();
        return lista;
    }

    @Override
    public int CodigoAula(AulaBean Aula) throws Exception {
        int codAula = 0;
        String Base = "matricula";

        Connection cnx = MySqlDAOFactory.obtenerConexion(Base);
        Statement st = cnx.createStatement();
        String query = "select cod_aula from aula WHERE cod_local='" + Aula.getCodLocal() + "' AND cod_niv=" + Aula.getCodNivel() + " AND cod_gra=" + Aula.getCodGrado() + " AND cod_tur=" + Aula.getCodTurno() + " AND seccion='" + Aula.getSeccion() + "' AND est_aula=1";
        ResultSet rs = st.executeQuery(query);
        while (rs.next()) {
            codAula = rs.getInt("cod_aula");
        }
        System.out.println("query CodigoAula-->" + query);
        cnx.close();
        return codAula;

    }

    @Override
    public AulaBean AulaProximo(String cod_local, int codAula, int IntervTiempo) throws Exception {

        String Base = "matricula";
        int orden = 0;
        String cod_mult = "";
        String[] cod_mult_2 = {};
        JSONArray cod = new JSONArray();
        Connection cnx = MySqlDAOFactory.obtenerConexion(Base);
        Statement st = cnx.createStatement();
        String query = " select  @rownum := @rownum+1 as aula_posicion,x.* \n"
                + "from (SELECT a.*,n.des_niv,g.des_gra,GROUP_CONCAT(CONVERT(a.cod_aula, CHAR(8))) as codigo_aula FROM aula a\n"
                + "		INNER JOIN nivel n ON a.cod_niv = n.cod_niv\n"
                + "		INNER JOIN grado g ON a.cod_gra = g.cod_gra\n"
                + ",(SELECT @rownum := 0) as r\n"
                + "		WHERE\n"
                + "			a.cod_local = '"+cod_local+"'\n"
                + "		GROUP BY\n"
                + "			a.cod_niv,\n"
                + "			a.cod_gra )x ,(SELECT @rownum := 0) as r ";
        ResultSet rs = st.executeQuery(query);
        System.out.println("MySqlAulaDAO >>>> AulaProximo >>>> " + query);
        AulaBean a = new AulaBean();
        while (rs.next()) {

            try {

                cod_mult_2 = rs.getString("codigo_aula").split(",");
                if (Arrays.asList(cod_mult_2).contains(codAula + "")) {
                    orden = rs.getInt("aula_posicion");
                }
                if (orden != 0) {
                    if ((orden + IntervTiempo) == rs.getInt("aula_posicion")) {
                        a.setCodigo(rs.getInt("cod_aula"));
                        a.setCodNivel(rs.getInt("cod_niv"));
                        a.setCodGrado(rs.getInt("cod_gra"));
                    }
                }
            } catch (Exception e) {
            }

        }
        cnx.close();
        return a;
    }

}
