/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.mysqldao;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;
import pe.siso.beans.ColegioBean;
import pe.siso.dao.ColegioDAO;

/**
 *
 * @author sistem05user
 */
public class MySqlColegioDAO implements ColegioDAO {

    @Override
    public ArrayList<ColegioBean> listarColegio() throws Exception {
        ArrayList<ColegioBean> lista = new ArrayList<>();
        String Base = "matricula";
        Connection cnx = MySqlDAOFactory.obtenerConexion(Base);
        Statement st = cnx.createStatement();
        String query = "SELECT cod_col, nom_col, dir_col, c.cod_ubi, u.cod_dep_ubi, u.nom_dep_ubi, u.cod_pro_ubi,  \n"
                + "                  u.nom_pro_ubi, u.cod_dis_ubi, u.nom_dis_ubi , tip_col  \n"
                + "                  FROM colegio_procedencia c  \n"
                + "                  INNER JOIN ubigeo u on u.cod_ubi=c.cod_ubi  \n"
                + "                 WHERE cod_col NOT IN (-1) ORDER BY nom_col";
        ResultSet rs = st.executeQuery(query);
        while (rs.next()) {
            ColegioBean col = new ColegioBean();
            col.setCodColegio(rs.getInt("cod_col"));
            col.setNomColegio(rs.getString("nom_col"));
            col.setDirColegio(rs.getString("dir_col"));
            col.setCodUbigeo(rs.getInt("cod_ubi"));
            col.setCodDpto(rs.getInt("cod_dep_ubi"));
            col.setNomDpto(rs.getString("nom_dep_ubi"));
            col.setCodProv(rs.getInt("cod_pro_ubi"));
            col.setNomProv(rs.getString("nom_pro_ubi"));
            col.setCodDist(rs.getInt("cod_dis_ubi"));
            col.setNomDist(rs.getString("nom_dis_ubi"));
            col.setTipoCol(rs.getString("tip_col"));
            lista.add(col);
        }
        System.out.println("query-->" + query);
        cnx.close();
        return lista;
    }

    @Override
    public ColegioBean colegioPorAlumno(int codColegio) throws Exception {
           ColegioBean col = new ColegioBean();
        String Base = "matricula";
        Connection cnx = MySqlDAOFactory.obtenerConexion(Base);
        Statement st = cnx.createStatement();
        String query = "select cod_col,nom_col,dir_col,cod_ubi,tip_col from colegio_procedencia WHERE cod_col="+codColegio+" ;";
        ResultSet rs = st.executeQuery(query);
        while (rs.next()) {
            col.setCodColegio(rs.getInt("cod_col"));
            col.setNomColegio(rs.getString("nom_col"));
            col.setDirColegio(rs.getString("dir_col"));
            col.setCodUbigeo(rs.getInt("cod_ubi"));
            col.setTipoCol(rs.getString("tip_col"));
        }
        System.out.println("query-->" + query);
        cnx.close();
        return col;
    }
    

}
