/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.mysqldao;

import com.sun.org.apache.bcel.internal.generic.AALOAD;
import java.sql.Array;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.ArrayList;
import pe.siso.beans.PeriodoBean;
import pe.siso.dao.PeriodoDAO;

/**
 *
 * @author sistem05user
 */
public class MySqlPeriodoDAO implements PeriodoDAO {

    @Override
    public PeriodoBean consultarPeriodoActual() throws Exception {
        PeriodoBean per = new PeriodoBean();

        String base = "matricula";
        Connection cnx = MySqlDAOFactory.obtenerConexion(base);
        Statement st = cnx.createStatement();

        String query = "select cod_per, des_per, anio_per, fec_ini_per, fec_fin_per, fec_ven_mat, est_per from periodo where est_per=1;";

        System.out.println("" + query);
        ResultSet rs = st.executeQuery(query);

        if (rs.next()) {
            per.setCodPer(rs.getInt("cod_per"));
            per.setDesPer(rs.getString("des_per"));
            per.setAnioPer(rs.getInt("anio_per"));
            per.setFecInicioPer(rs.getString("fec_ini_per"));
            per.setFecFinPer(rs.getString("fec_fin_per"));
            per.setFecVencMat(rs.getString("fec_ven_mat"));
            per.setEstadoPer(rs.getInt("est_per"));
        }

        cnx.close();
        return per;
    }

    @Override
    public ArrayList<PeriodoBean> listarPeridoo() throws Exception {
        ArrayList<PeriodoBean> lista = new ArrayList<>();

        String base = "matricula";
        Connection cnx = MySqlDAOFactory.obtenerConexion(base);
        Statement st = cnx.createStatement();

        String query = "select cod_per, des_per, anio_per, fec_ini_per, fec_fin_per, fec_ven_mat, est_per from periodo ORDER BY anio_per desc;";

        System.out.println("" + query);
        ResultSet rs = st.executeQuery(query);
      
        while (rs.next()) {   
            PeriodoBean per = new PeriodoBean();
            per.setCodPer(rs.getInt("cod_per"));
            per.setDesPer(rs.getString("des_per"));
            per.setAnioPer(rs.getInt("anio_per"));
            per.setFecInicioPer(rs.getString("fec_ini_per"));
            per.setFecFinPer(rs.getString("fec_fin_per"));
            per.setFecVencMat(rs.getString("fec_ven_mat"));
            per.setEstadoPer(rs.getInt("est_per"));
            lista.add(per);
        }
        cnx.close();
        return lista;

    }

}
