/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.services;

import java.util.ArrayList;
import pe.siso.beans.AulaBean;
import pe.siso.beans.GradoBean;
import pe.siso.beans.NivelBean;
import pe.siso.beans.TurnoBean;
import pe.siso.dao.AulaDAO;
import pe.siso.dao.DAOFactory;

/**
 *
 * @author sistem05user
 */
public class AulaServices {

    DAOFactory fabrica = DAOFactory.getDAOFactory(DAOFactory.MYSQL);
    AulaDAO objAulaAO = fabrica.getAulaDAO();

    public ArrayList<NivelBean> listarNiveles(String codLocal) {
        ArrayList<NivelBean> lista = null;
        try {
            lista = objAulaAO.listarNiveles(codLocal);
        } catch (Exception e) {
        }
        return lista;
    }

    public ArrayList<GradoBean> listarGrados(int codNivel, String codLocal) {
        ArrayList<GradoBean> lista = null;
        try {
            lista = objAulaAO.listarGrados(codNivel, codLocal);
        } catch (Exception e) {
        }
        return lista;
    }

    public ArrayList<TurnoBean> listarTurnos(String codLocal) {
        ArrayList<TurnoBean> lista = null;
        try {
            lista = objAulaAO.listarTurnos(codLocal);
        } catch (Exception e) {
        }
        return lista;
    }

    public int CodigoAula(AulaBean Aula) {
        int codAula = 0;
        try {
            codAula = objAulaAO.CodigoAula(Aula);
        } catch (Exception e) {
        }
        return codAula;
    }

    public AulaBean AulaProximo(String cod_local, int codAula, int IntervTiempo) {
        AulaBean a=new AulaBean();
        try {
            a=objAulaAO.AulaProximo(cod_local, codAula, IntervTiempo);
        } catch (Exception e) {
        }
        return a;
    }
}
