/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.services;

import java.util.ArrayList;
import pe.siso.beans.MatriculaBean;
import pe.siso.dao.DAOFactory;
import pe.siso.dao.MatriculaDAO;

/**
 *
 * @author sistem05user
 */
public class MatriculaServices {

    DAOFactory fabrica = DAOFactory.getDAOFactory(DAOFactory.MYSQL);
    MatriculaDAO objMatriculaDAO = fabrica.getMatriculaDAO();

    public ArrayList<MatriculaBean> listarMatricula(MatriculaBean matricula, int tipoBusqueda, String NombreCompleto, int inicio, int cantidad) {
        ArrayList<MatriculaBean> lista = new ArrayList<>();

        try {
            lista = objMatriculaDAO.listarMatricula(matricula, tipoBusqueda, NombreCompleto, inicio, cantidad);
        } catch (Exception e) {
        }
        return lista;
    }

    public int registrarMatricula(MatriculaBean m) {
        int codAula = 0;
        try {
            codAula = objMatriculaDAO.registrarMatricula(m);
        } catch (Exception e) {
        }
        return codAula;
    }

    public MatriculaBean consultarUltimaMatricula(int codAlumno, int anioPerActual) {
        MatriculaBean mat = new MatriculaBean();
        try {
            mat = objMatriculaDAO.consultarUltimaMatricula(codAlumno, anioPerActual);
        } catch (Exception e) {
        }
        return mat;
    }

    public int cantMatricula(MatriculaBean matricula, int tipoBusqueda, String NombreCompleto) {
        int cantidad = 0;
        try {
            cantidad = objMatriculaDAO.cantMatricula(matricula, tipoBusqueda, NombreCompleto);
        } catch (Exception e) {
        }
        return cantidad;
    }

    public int actualizarMatricula(MatriculaBean matricula) {
        int resultado=0;
        try {
            resultado=objMatriculaDAO.actualizarMatricula(matricula);
        } catch (Exception e) {
        }
        return resultado;
    }
}
