/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.services;

import java.util.ArrayList;
import pe.siso.beans.InformaBean;
import pe.siso.beans.RequisitoBean;
import pe.siso.dao.DAOFactory;
import pe.siso.dao.RequisitoDAO;

/**
 *
 * @author sistem05user
 */
public class RequisitoServices {

    DAOFactory fabrica = DAOFactory.getDAOFactory(DAOFactory.MYSQL);
    RequisitoDAO objRequisitoDAO = fabrica.getRequisitoDAO();

    public ArrayList<RequisitoBean> ListarDocumentos() {
        ArrayList<RequisitoBean> lista = null;
        try {
            lista = objRequisitoDAO.ListarDocumentos();
        } catch (Exception e) {
        }
        return lista;
    }

    public ArrayList<InformaBean> ListarInformes() {
        ArrayList<InformaBean> lista = null;
        try {
            lista = objRequisitoDAO.ListarInformes();
        } catch (Exception e) {
        }
        return lista;
    }

    public int registrarFichaRequisito(int codFicha, int codRequisito) {
        int resultado = 0;
        try {
            resultado = objRequisitoDAO.registrarFichaRequisito(codFicha, codRequisito);

        } catch (Exception e) {
        }
        return resultado;
    }

    public ArrayList<RequisitoBean> FichaRequisito(int codFichaMatricula) {
        ArrayList<RequisitoBean> fichaReq = new ArrayList<>();
        try {
            fichaReq = objRequisitoDAO.FichaRequisito(codFichaMatricula);
        } catch (Exception e) {
        }
        return fichaReq;
    }

    public ArrayList<RequisitoBean>  listarDocumentoPorAlumno(int codFichaMatricula) {
        ArrayList<RequisitoBean> lista=new ArrayList<>();
        try {
            lista=objRequisitoDAO.listarDocumentoPorAlumno(codFichaMatricula);
        } catch (Exception e) {
        }
        return lista;
    }

}
