/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.servlets;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.ArrayList;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import pe.siso.seguridad.webservices.MenuBean;
import pe.siso.seguridad.webservices.UsuarioBean;

/**
 *
 * @author sistem05user
 */
public class MenuServlet extends HttpServlet {

    @Override
    protected void service(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

        String param = request.getParameter("Accion");

        if ("listarMenu".equals(param)) {
            listarMenu(request, response);
        } else if ("paginaMenuSession".equals(param)) {
            paginaMenuSession(request, response);
        }
    }

    private void listarMenu(HttpServletRequest request, HttpServletResponse response) throws IOException {
int codModulo = Integer.parseInt(request.getParameter("codModulo"));
        int codCategoria = Integer.parseInt(request.getParameter("codCategoria"));
        int codSubCategoria = Integer.parseInt(request.getParameter("codSubCategoria"));
        String seleccion = "";

        HttpSession session_actual = request.getSession(true);
        UsuarioBean usuario = (UsuarioBean) session_actual.getAttribute("usuario");

        ArrayList<MenuBean> menuTitulo = (ArrayList<MenuBean>) session_actual.getAttribute("menuSesionTitulo");
        ArrayList<MenuBean> menuModulo = (ArrayList<MenuBean>) session_actual.getAttribute("menuSesionModulo");
        ArrayList<MenuBean> menuCategoria = (ArrayList<MenuBean>) session_actual.getAttribute("menuSesionCategoria");
        ArrayList<MenuBean> menuSubcategoria = (ArrayList<MenuBean>) session_actual.getAttribute("menuSesionSubCategoria");


        response.setContentType("text/html");
        PrintWriter pw = response.getWriter();

        for (int i = 0; i < menuTitulo.size(); i++) { // titulo inicio
            int codigoTitulo = menuTitulo.get(i).getCodigoTitulo();
            pw.println("<li class='landing_link'> "
                    + "                <a> "
                    //                    + "                    <i class='fa " + menuTitulo.get(i).getIcono() + "'></i>  "
                    + "                    <span class='nav-label'>" + menuTitulo.get(i).getNombre() + "</span> "
                    + "                </a> "
                    + "            </li>");
            /* LISTAR MÓDULOS */
            for (int m = 0; m < menuModulo.size(); m++) { // modulo inicio
                if (menuModulo.get(m).getCodigoTitulo() == codigoTitulo) { // modulo if inicio
                    int codigoModulo = menuModulo.get(m).getCodigoModulo();
                    int tipoModulo = menuModulo.get(m).getTipo();
                    seleccion = "";
                    if (codigoModulo == codModulo) {
                        seleccion = "active";
                    }
                    if (tipoModulo == 1) {
                        /* TIPO 1 = SIN CATEGORÍA */

                        pw.println("<li class='" + seleccion + "'> "
                                + "                <a href='javascript:paginaMenuSession(" + codigoTitulo + "," + codigoModulo + ",0,0,\"" + menuModulo.get(m).getUrl() + "\")'> "
                                + "                    <i class='fa " + menuModulo.get(m).getIcono() + "'></i> "
                                + "                    <span class='nav-label'>" + menuModulo.get(m).getNombre() + "</span> "
                                + "                </a> "
                                + "            </li>");
                    } else {
                        /* TIPO 2 = CON CATEGORÍA */

                        pw.println("<li class='" + seleccion + "'> "
                                + "     <a  href='" + menuModulo.get(m).getUrl() + "'> "
                                + "         <i class='fa " + menuModulo.get(m).getIcono() + "'></i>  "
                                + "         <span class='nav-label'>" + menuModulo.get(m).getNombre() + "</span>  "
                                + "         <span class='fa arrow'></span> "
                                + "     </a> "
                                + "     <ul class='nav nav-second-level'>");
                        /* LISTAR CATEGORÍA */
                        for (int c = 0; c < menuCategoria.size(); c++) { // categoria inicio
                            if (menuCategoria.get(c).getCodigoModulo() == codigoModulo) {  // categoria if inicio
                                int codigoCategoria = menuCategoria.get(c).getCodigoCategoria();
                                int tipoCategoria = menuCategoria.get(c).getTipo();
                                seleccion = "";
                                if (codigoCategoria == codCategoria) {
                                    seleccion = "active";
                                }
                                if (tipoCategoria == 1) {
                                    /* TIPO 1 = SIN SUB-CATEGORÍA */

                                    pw.println("<li class='" + seleccion + "'><a href='javascript:paginaMenuSession(" + codigoTitulo + "," + codigoModulo + "," + codigoCategoria + ",0,\"" + menuCategoria.get(c).getUrl() + "\")'>" + menuCategoria.get(c).getNombre() + "</a></li>");
                                } else {
                                    /* TIPO 2 = CON SUB-CATEGORÍA */

                                    pw.println("<li class='" + seleccion + "'>\n"
                                            + "     <a href='" + menuCategoria.get(c).getUrl() + "'>" + menuCategoria.get(c).getNombre() + "<span class='fa arrow'></span></a>\n"
                                            + "         <ul class='nav nav-third-level'>");

                                    /* LISTAR SUB-CATEGORÍA */
                                    for (int s = 0; s < menuSubcategoria.size(); s++) { // subcategoria inicio
                                        if (menuSubcategoria.get(s).getCodigoCategoria() == codigoCategoria) { // subcategoria if inicio
                                            int codigoSubCategoria = menuSubcategoria.get(s).getCodigoSubcategoria();
                                            seleccion = "";
                                            if (codigoSubCategoria == codSubCategoria) {
                                                seleccion = "active";
                                            }
                                            pw.println("<li class='" + seleccion + "'>"
                                                    + "     <a href='javascript:paginaMenuSession(" + codigoTitulo + "," + codigoModulo + "," + codigoCategoria + "," + codigoSubCategoria + ",\"" + menuSubcategoria.get(s).getUrl() + "\")'>" + menuSubcategoria.get(s).getNombre() + "</a>\n"
                                                    + "</li>");
                                        } // subcategoria if fin
                                    } // subcategoria fin
                                    pw.println("</ul>\n"
                                            + "</li>");
                                }
                            } // categoria if fin
                        } // categoria fin
                        pw.println("</ul>"
                                + "</li>");
                    }
                } // modulo if fin
            }// modulo fin
        } // titulo fin

        
        
    }

    private void paginaMenuSession(HttpServletRequest request, HttpServletResponse response) {

        int codTitulo = Integer.parseInt(request.getParameter("codTit"));
        int codModulo = Integer.parseInt(request.getParameter("codMod"));
        int codCategoria = Integer.parseInt(request.getParameter("codCat"));
        int codSubCategoria = Integer.parseInt(request.getParameter("codSub"));

        HttpSession session_actual = request.getSession(true);

        MenuBean menu = new MenuBean();

        menu.setCodigoTitulo(codTitulo);
        menu.setCodigoModulo(codModulo);
        menu.setCodigoCategoria(codCategoria);
        menu.setCodigoSubcategoria(codSubCategoria);

        session_actual.setAttribute("menu", menu);

    }

}
