/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pe.siso.servlets;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.json.JSONArray;
import pe.siso.beans.RequisitoBean;
import pe.siso.services.RequisitoServices;
import pe.siso.services.SeguroServices;

/**
 *
 * @author sistem05user
 */
public class RequisitoServlet extends HttpServlet {

    @Override
    protected void service(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

        String param = request.getParameter("Accion");

        if ("ListarDocumentos".equals(param)) {
            ListarDocumentos(request, response);
        } else if ("ListarInformes".equals(param)) {
            ListarInformes(request, response);
        } else if ("alumnoFichaRequisito".equals(param)) {
            alumnoFichaRequisito(request, response);
        } else if ("listarSeguro".equals(param)) {
            listarSeguro(request, response);
        } else if ("listarDocumentoPorAlumno".equals(param)) {
            listarDocumentoPorAlumno(request, response);
        }
    }

    private void ListarDocumentos(HttpServletRequest request, HttpServletResponse response) throws IOException {
        response.setContentType("text/html");
        PrintWriter pw = response.getWriter();
        RequisitoServices servicio = new RequisitoServices();
        JSONArray jsonDocumento = new JSONArray(servicio.ListarDocumentos());
        pw.println(jsonDocumento);

    }

    private void ListarInformes(HttpServletRequest request, HttpServletResponse response) throws IOException {
        response.setContentType("text/html");
        PrintWriter pw = response.getWriter();
        RequisitoServices servicio = new RequisitoServices();
        JSONArray jsonInformes = new JSONArray(servicio.ListarInformes());
        pw.println(jsonInformes);

    }

    private void alumnoFichaRequisito(HttpServletRequest request, HttpServletResponse response) throws IOException {
        response.setContentType("text/html");
        PrintWriter pw = response.getWriter();
        int codFichaMatricula = Integer.parseInt(request.getParameter("codFichaMatricula"));
        RequisitoServices servicio = new RequisitoServices();
        JSONArray jsonRequisito = new JSONArray(servicio.FichaRequisito(codFichaMatricula));
        pw.println(jsonRequisito);
    }

    private void listarSeguro(HttpServletRequest request, HttpServletResponse response) throws IOException {
        response.setContentType("text/html");
        PrintWriter pw = response.getWriter();
        SeguroServices servicio = new SeguroServices();
        JSONArray jsonSeguro = new JSONArray(servicio.listarSeguros());
        pw.println(jsonSeguro);
    }

    private void listarDocumentoPorAlumno(HttpServletRequest request, HttpServletResponse response) throws IOException {
        response.setContentType("text/html");
        PrintWriter pw = response.getWriter();
        int codFichaMatricula = Integer.parseInt(request.getParameter("codFichaMatricula"));
        RequisitoServices servicio = new RequisitoServices();
         JSONArray jsonDoumento=new JSONArray(servicio.listarDocumentoPorAlumno(codFichaMatricula)) ;
        pw.println(jsonDoumento);
    }

}
