package pe.siso.servlets;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.json.JSONArray;
import pe.siso.services.SeguroServices;

public class SeguroServlet extends HttpServlet {

    @Override
    protected void service(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

        String param = request.getParameter("Accion");

        if ("listarSeguroPorAlumno".equals(param)) {
            listarSeguroPorAlumno(request, response);
        }
    }

    private void listarSeguroPorAlumno(HttpServletRequest request, HttpServletResponse response) throws IOException {
        response.setContentType("text/html");
        PrintWriter pw = response.getWriter();
        SeguroServices servicio=new SeguroServices();
        int codAlumno =Integer.parseInt(request.getParameter("codAlumno"));
        JSONArray jsonSeguro=new JSONArray(servicio.consultarSeguroPorAlu(codAlumno));
        pw.println(jsonSeguro);
    }
}
